* [1.4] 2014-07-25  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>

    Merge nocopula@3595
    Removed types UnsignedLong, IndexType. Deprecated ResourceMap::SetAsUnsignedLong|GetAsUnsignedLong. distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../barbier (3600:3762)
    MSVC: #define WIN32_LEAN_AND_MEAN and NOMINMAX before including windows.h
    This prevents #include <windows.h> from defining lots of spurious macros.
    MSVC: Add pthread.h and semaphore.h for Win32
    These files are copied from StarPU, which is also LGPL 2.1.
    An empty unistd.h is also added to avoid fixing many cxx files.
    MSVC: Fix Windows macros in CMakeLists.txt
    MSVC builds will require Boost.
    Define a WINTEL macro when compiling with Intel on Windows.  CMake 2.x does not
    define MSVC in this case, see http://public.kitware.com/Bug/view.php?id=14476
    MSVC: We define pthread_mutex_t in lib/include/pthread_win32/pthread.h
    MSVC: Do not call pthread_kill with MSVC
    It is not defined by pthread.h, and threads are killed anyway when
    test program exits.
    MSVC: Fix calls to pthread_mutexattr_init
    The chosen implementation on MSVC does not accept PTHREAD_MUTEX_ERRORCHECK
    argument, so we add macro OT_MUTEXINIT_NOCHECK to not check for
    pthread_mutexattr_init return value.
    It is set only when compiling with MSVC on Windows, but can also be set
    when defining C++ flags.
    In Log::Initialization() pthread_mutexattr_init was not called on Windows.
    This looks strange, it is now called on all systems.
    Note that several calls of pthread_mutexattr_init check for return value
    without passing PTHREAD_MUTEX_ERRORCHECK, which does not make sense.
    MSVC: Pass -D_USE_MATH_DEFINES flag
    Otherwise M_* macros (like M_PI for instance) are not defined.
    MSVC: Do not define HAVE_SYNC_PRIMITIVES
    It looks like HAVE_SYNC_PRIMITIVES is defined on MSVC when using TBB,
    but __sync_fetch_and_add is not provided.
    MSVC: Port I/O functions to MSVC
    I/O functions are implemented in Os, Path and WrapperCommonFunctions.
    They must be ported to MSVC (because of lack of dirname, mkdir, etc).
    Moreover, we may want to get rid of wrapper stuff, which is deprecated.
    Thus create MakeDirectory and DeleteDirectory methods into Os class, and
    MSVC: Port Wrapper* classes to MSVC
    Method defaultWrapperExecSampleFunction_PTHREAD has still not been ported,
    thus wrappers will only work when compiling with TBB.
    MSVC: emulate isblank(), it does not exist on MSVC
    MSVC: Disambiguate mathematical functions
    Compiler complains:
      error: more than one instance of overloaded function "pow" matches the argument list:
                function "pow(double, double)"
                function "pow(double, int)"
                argument types are: (int, const OT::UnsignedLong)
      const UnsignedLong verticesNumber((UnsignedLong)round(pow(2, dimension)));
    MSVC: Use Boost functions to replace non-existing math functions with MSVC
    MSVC: Define log1p in KolmogorovSmirnovDist.c
    This is a C file and Boost cannot be used here.
    MSVC: Fix boolean or/and, these are not valid keywords
    MSVC: Fix filesystem lock
    Remove name argument from constructors
    This unnecessarily lengthens constructors.
    Fix output for 3 tests, replace name= by name=Unnamed
    MSVC: Remove operator!= from OTtypes.hxx
    Compiler complains:
      C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\INCLUDE\xtree(740): error: more than one operator "!=" matches these operands:
        function template "OT::Bool={bool} OT::operator!=(const T &, const T &)"
        function template "bool std::operator!=(const std::allocator<_Ty> &, const std::allocator<_Other> &)"
        operand types are: std::allocator<std::pair<const OT::NumericalSampleImplementation::ExternalFileFormat, OT::BuildMethod>> != std::allocator<std::pair<const OT::NumericalSampleImplementation::ExternalFileFormat, OT::BuildMethod>>
            else if (get_allocator() != _Right.get_allocator())
                                    ^
      detected during instantiation of "void std::_Tree<_Traits>::_Assign_rv(std::_Tree<_Traits>::_Myt &&) [with _Traits=std::_Tmap_traits<OT::NumericalSampleImplementation::ExternalFileFormat, OT::BuildMethod, std::less<OT::NumericalSampleImplementation::ExternalFileFormat>, std::allocator<std::pair<const OT::NumericalSampleImplementation::ExternalFileFormat, OT::BuildMethod>>, 0>]" at line 727
    All classes which redefine operator== should also redefine operator!=, this has
    not been done yet.
    Base must not depend on anything from Uncertainty
    Move PersistentCollection<NumericalComplex> definition from RandomMixture into StationaryCovarianceModelFactory.
    Remove FixedExperiment.hxx from OTExperiments.hxx.
    MSVC: Fix Cache, OSS_iterator and AdvocateIterator classes
    These classes are used as output iterators, and according to the C++ standard,
    they must then be copy assignable.
    This caused many build failures similar to these ones:
      C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\INCLUDE\xutility(275): error: no operator "=" matches these operands
                operand types are: OT::OSS_iterator<OT::UnsignedLong, OT::AllElementsPredicate<OT::UnsignedLong>, char, std::char_traits<char>> = OT::OSS_iterator<OT::UnsignedLong, OT::AllElementsPredicate<OT::UnsignedLong>, char, std::char_traits<char>>
            _Dest = _Src;
                  ^
              detected during:
                instantiation of "_Iter &std::_Rechecked(_Iter &, _UIter) [with _Iter=OT::OSS_iterator<OT::UnsignedLong={unsigned long}, OT::AllElementsPredicate<OT::UnsignedLong={unsigned long}>, char, std::char_traits<char>>, _UIter=OT::OSS_iterator<OT::UnsignedLong={unsigned long}, OT::AllElementsPredicate<OT::UnsignedLong={unsigned long}>, char, std::char_traits<char>>]" at line 2176
                instantiation of "_OutIt std::copy(_InIt, _InIt, _OutIt) [with _InIt=std::_Vector_const_iterator<std::_Vector_val<OT::UnsignedLong={unsigned long}, std::allocator<OT::UnsignedLong={unsigned long}>>>, _OutIt=OT::OSS_iterator<OT::UnsignedLong={unsigned long}, OT::AllElementsPredicate<OT::UnsignedLong={unsigned long}>, char, std::char_traits<char>>]" at line 364 of "...\lib\src\Base\Type\Collection.hxx"
                instantiation of "OT::String OT::Collection<T>::toString(OT::Bool={bool}) const [with T=OT::UnsignedLong={unsigned long}]" at line 375 of "...\lib\src\Base\Type\Collection.hxx"
                instantiation of "OT::String OT::Collection<T>::__repr__() const [with T=OT::UnsignedLong={unsigned long}]" at line 137 of "...\lib\src\Base\Type\PersistentCollection.hxx"
                instantiation of "OT::String OT::PersistentCollection<T>::__repr__() const [with T=OT::UnsignedLong={unsigned long}]"
    MSVC: Fix OStream
    Several methods were using g++ internal features (std::_Setw, etc).
    MSVC: fix assertion failures in debug mode due to out-of-bounds access
    This should also fix warnings on Linux with valgrind.
    MSVC: call _set_output_format in test preamble
    Windows displays scientific notation with 3 digits in the exponent.
    We force 2 digits to avoid test failures.
    There is a hack on Mingw by setting PRINTF_EXPONENT_DIGITS=2 when
    Avoid 'int to bool' conversion
    MSVC: __value is a reserved keyword in VS2013
    MSVC: Fix XMLchar_traits.hxx when not compiling with g++
    MSVC does not accept arrays whose size is not determined at build time
    MSVC does not know va_copy
    MSVC: Fix C files, variables must be declared when entering blocks
    MSVC needs a typemap
    Fix signature of NumericalPoint::erase to match Collection::erase
    MSVC preprocessor chokes on # in FUNC_EXEC argument
    Translate Fortran into C with f2c
    There is no Fortran compiler in Microsoft Visual Studio Express, it
    is available only in the Professional edition.  It is thus much
    easier to build OpenTURNS with Visual if there is no Fortran code.
    Fortran files have not been deleted from the repository, we may
    need to call f2c again in the future.
    Based on a patch by Julien Schueller.
    gcc on Linux complains about wrong declaration of adonet_ in tvpack.c
    Fix build failures with Mingw, thanks to Julien Schueller for reports
    Fix installcheck tests, because of name removal from constructors in r3644
    Enable Fortran before checking for Lapack
    CMake < 2.8.4 aborts if Fortran is not enabled.
    Fix breakage in OT modules for Mingw.  Patch by Julien Schueller, thanks.
    Fix const mismatch between base and derived methods
    MSVC: Fix build failures with VS2010
    This compiler does not like 'using' keyword after operator has been defined:
    ...\lib\src\Base\Type\SquareMatrix.hxx(148) : error C2668: 'OT::Matrix::operator *' : ambiguous call to overloaded function
        ...\lib\src\base\type\Matrix.hxx(141): could be 'OT::Matrix OT::Matrix::operator *(const OT::NumericalScalar) const'
        ...\lib\src\Base\Type\SquareMatrix.hxx(107): or 'OT::SquareMatrix OT::SquareMatrix::operator *(const OT::NumericalScalar) const'
        while trying to match the argument list '(const OT::NumericalScalar)'
    MSVC: variable length arrays are not supported by VS2010
    ...\lib\test\t_AtomicFunctions_std.cxx(73) : error C2057: expected constant expression
    Avoid int -> bool implicit conversion
    Cast std::streamsize into int to avoid compiler warnings
    Cast into DWORD to avoid compiler warnings
    Fix infinite recursion in SpecFunc::IncompleteBeta
    Also fix an infinite recursion in BasisFactory::save/load
    Reported by VS2010:
    ...\lib\src\base\func\basisfactory.cxx(67) : warning C4717: 'OT::BasisFactory::save' : recursive on all control paths, function will cause runtime stack overflow
    ...\lib\src\base\func\basisfactory.cxx(73) : warning C4717: 'OT::BasisFactory::load' : recursive on all control paths, function will cause runtime stack overflow
    Forgot one cast to std::streamsize in r3671
    Replace += by |= for boolean arguments
    Fix stupid bug introduced in t_AtomicFunctions_std.cxx (r3669)
    Tentative fix for test failures in t_SquareMatrix_std.py and t_ARMACoefficients_std.py
    I cannot reproduce those test failures exhibited by autobuilder (my SWIG is 2.0.11),
    but it is likely that this commit will fix them.
    Do not dereference std::list::end()
    MSVC throws an assertion in Debug mode when running
    cppcheck_HyperbolicAnisotropicEnumerateFunction_std.
    MSVC: Fix Cache::OrderAccordingToAges::operator()
    In Debug mode, MSVC throws an assertion because this
    comparison operator must behave like less, not less_equal.
    Add OT_API keyword in order to export symbols in OT shared library
    By default, OT is built as a shared library; thus replace OT_DLL
    preprocessor symbol by OT_STATIC, so that no symbol is required by
    default.
    Define DescriptionImplementation::getDimension()
    MSVC does not compile otherwise, because Description derives from
    TypedCollectionInterfaceObject<DescriptionImplementation>, but
    TypedCollectionInterfaceObject<T> defines
      inline UnsignedInteger getDimension() const
      {
        return TypedInterfaceObject<T>::getImplementation()->getDimension();
      }
    Explicitly define Cache::GetClassName() and Cache::getClassName()
    These methods are declared but not defined, which causes
    link failures with MSVC.
    MSVC already prints \r\n, no need to let Os::GetEndOfLine() also add \r
    Fix build failure on mingw32
    Cache<PersistentCollection<double>,PersistentCollection<double>>::getClassName
    is now defined in Cache.hxx.
    Revert r3717, it does more harm than good
    Another attenpt to fix definition of Cache::GetClassName
    Remove TEMPLATE_CLASSNAMEINIT from NumericalMathEvaluationImplementation.cxx,
    GetClassName method is defined in Cache.hxx.
    In order to avoid name collisions, class name is built upon template arguments.
    Declare several Memory functions with OT_API
    Remove --enable-auto-import ld flag on Mingw
    Since symbols are now decorated by dllimport/dllexport on
    Windows, automatic import of symbols is no more needed.
    Export 'operator==(LinearModel const&, LinearModel const&)'
    Do not export TypedInterfaceObject, this is a class template
    This should fix build failures on Mingw for several OT modules.
    Put install directory first in PATH
    This is to make sure that cppinstallcheck launches the right executables.
    On native Windows, PATH is a semicolon-separated list; thus semicolons must
    be escaped.
    Define __TBB_NO_IMPLICIT_LINKAGE to prevent implicit linking against tbb.lib
    Add a new OPENTURNS_TBB_NO_IMPLICIT_LINKAGE option.  By default, it is
    enabled on MSVC to not link against tbb.lib, because consumers of OT.lib
    may not own tbb.lib.
    Install header files from lib/include/pthread_win32/ on MSVC
    Cast Collection::getSize() return value to avoid compiler warnings on MSVC
    Fix Mingw autobuilder
    Mingw build currently fails on this branch, with this message:
      err:module:import_dll Loading library libOT.dll (which is needed by L"Z:\\home\\openturns\\distcheck\\last\\sid-x86_64-ot-mingw\\Lib\\site-packages\\openturns\\_common.pyd") failed (error c0000017).
      Traceback (most recent call last):
        File "/home/openturns/distcheck/workdir/python/test/t_ComparisonOperator_std.py", line 3, in <module>
          from openturns import *
        File "Z:\home\openturns\distcheck\last\sid-x86_64-ot-mingw\Lib\site-packages\openturns\__init__.py", line 95, in <module>
          from .common import *
        File "Z:\home\openturns\distcheck\last\sid-x86_64-ot-mingw\Lib\site-packages\openturns\common.py", line 32, in <module>
          _common = swig_import_helper()
        File "Z:\home\openturns\distcheck\last\sid-x86_64-ot-mingw\Lib\site-packages\openturns\common.py", line 28, in swig_import_helper
          _mod = imp.load_module('_common', fp, pathname, description)
      ImportError: DLL load failed: Module not found.
    This is weird, since libOT.dll is copied into python/test.
    Moreover tests do run fine interactively or from a shell script, but not when
    called via a Makefile.  A workaround is to use stripped libraries, no idea why
    this works.
    Fix rounding for nearbyint on MSVC
    POSIX specifies that this function rounds to an even integer when its argument
    is half an integer.  This broke t_UserDefinedSpectralModel_std test.
    Write native paths in OTconfig.h
    Currently slashes are written into OTconfig.h on MSVC.
    Use CMakePackageConfigHelpers.cmake to write relative paths in OpenTURNSConfig.cmake
    CMake 2.8.8 provided a nice utility to help writing relocatable packages.
    Paths are computed relative to OpenTURNSConfig.cmake.
    When compiled with CMake < 2.8.8, the old behavior is preserved.
    Fix previous commit, OpenTURNSConfig.cmake was not installed with CMake >= 2.8.8
    MERGE: trunk> svn merge --reintegrate https://.../schueller (3603:3771)
    Added Drawable|Graph::_repr_svg_. distcheck ok.
    Removed unused class MPI.
    SRC indices can be >1 with improperly sampled variance.
    Removed useless const qualifier for return type.
    Fixed some variable re-declarations, fixes a bug in LinearCombinationEvaluationImplementation. distcheck ok.
    Fixed shadowing variable re-declaration in OrthogonalProductPolynomialFactory.
    Do not allow a covariance model with invalid dimension.
    Fixed invalid pre-declaration. distcheck ok.
    Fixed #707. distcheck ok.
    Added generic Object._repr_html_
    MERGE: trunk> svn merge --reintegrate https://.../haddad (3601:3796)
    Fixed a bug linked to the conversion from PyObject* to NumericalPoint
    This bug is due to leak checks and bad exception catching within the
    typemap(in)
    Overloaded computePDFGradient and computeCDFGradient methods of Distribution
    class. Ongoing work
    In order to overload DistributionImplementation::computeCDFGradient, all class that inherit from this last one should use or redefine the method, not replacing it. The using DistribuionImplementation::computeCDFGradient is added for that reason
    The same applies to the computePDFGradient
    Applied D.Barbier's patch
    It fixes failing tests with R 3.1.0.
    This closes #706
    MERGE: trunk> svn merge --reintegrate https://.../docstring (3685:3838)
    init sphinx-doc source tree
    Added Uniform example docstring & docstring autotest
    init autodoc class reference
    +sphinx in cmake arch
    ADD: configuration for pngmath\nCOSMITS:otsphinxwq
    FIX: escape backslahes thrice in swig docstring so that it's
        escaped again in python.
    Do not produce pycs.
    ADD: sphinext.numpydoc (in sphinx source tree) for dealing with Numpy docstrings standards
        This fixes the Sphinx error: "SEVERE: Unexpected section format."
    REM: SWIG autodoc -> We are now going manual!
    ENH: Uniform, Distribution and DistributionImplementation docstring
        docstring are now properly inherited (now that SWIG autodoc is off).
    ADD: init openturns sphinx theme.
    REN: Appended _t to rst template files since sphinx attempts
        at compiling any file with rst extension.
    ADD: matplotlib sphinxext plot directive that enables
        plotting directive within the doc (useful for replacing
        the use case guide). See the example page in the doc.
    ADD: Enabled the todo sphinxext with a todolist page.
    ENH: Work on the openturns theme.
    FIX: Math in docstrings.
    ENH: theming openturns stylesheet.
    FIX: DistributionImplementation docstrings in SWIG header
        files.
    FIX: Treat warnings as errors in sphinx-build.
    FIX: CMakeLists.txt in python/doc.
    FIX: CSS theme.
    ENH: Avoid docstring duplicate for *Implementation patterns (see DistributionImplementation and Distribution SWIG header files)
    ADD: Work in progress on Distribution methods docstrings...
    ADD: OpenTURNS Latex style file math_notations.sty included.
    FIX: Remove trailing spaces in CMakeLists.txt
    ADD: todolist.rst > develop.rst now features a howto for contributing to the doc.
    ADD: Reference guide (theory) and Developer's guide (contribute), will try to use pandoc on one of these for the migration...
    ADD: Reference guide main file.
    ENH: CMakeLists.txt new targets: sphinx_html (in place of python_html), sphinx_latex and sphinx_pdf (with dependency latex -> pdf)
    Added missing Distribution::computeDensityGenerator|computeDensityGeneratorDerivative|computeDensityGeneratorSecondDerivative|computeRadialDistributionCDF
    ADD: doctest
    ADD: More DistributionImplementation's docstrings
    ADD: Dedicated template 'Distribution.rst_t' for autodoc featuring PDF and CDF plots.
    ENH: Finished Distribution docstrings.
    ADD: Some more doc'ed distributions.
    ENH: \usepackage{path/to/math_notations}.
    ENH: cmake targets now depends on index.rst.
    ENH: Made openturns.viewer.View docstring numpydoc-compatible.
    ENH: Added a add_legend=False kwarg to openturns.viewer.View.
    ADD: bibliography.rst.
    ADD: Some more distributions.
    ENH: extensions in sphinx conf.py.
    Reverted r3706, r3705 for DistributionImplementation.cxx
    FIX: Error in ChiSquare's main docstring (example). This error was detected using the sphinx_doctest cmake target.
    REM: Remove obsolete sphinx Makefiles and deps. Ce use cmake.
    FIX: Wrong path to favicon.ico.
    ENH: Dirac::__str__ method.
    ADD: Some more doc'ed distributions.
    NEW: Template for rendering a 3D Dirichlet distribution on the simplex.
    ENH: Python docstrings are now defined in separate SWIG header files (*_doc.i.in)
    ENH: Julien implemented cmake macros that pre-process SWIG docstring files in
        order to automatically escape LaTeX backslashes 4 times.
    FIX: openturns.viewer.View bug for discrete distributions CDF draw (StairCase -> plt.step)
    ADD: Some more sections of the API, now renamed User Manual as in the current doc.
    ADD: user_manual/ source tree in sphinx.
    FIX: openturns.viewer: some graphs used to create their own axes, ignoring the
        ax kwarg of View.
    ENH: Update of the documentation guide in contribute.rst.
    Moved sphinx dir. distcheck ok.
    Moved branch sphinx
    FIX: Broken tests due to the fix in Dirac::__str__ @r3726.
    Install generated docstring files. distcheck ok.
    ADD: Started to doc matrices.
    Added matrix slicing.
    Applied haddad's patch for #708. distcheck ok.
    Fixes for #712. distcheck ok
    Other fixes for #712
    More fixes for #712. distcheck ok
    Fixed warnings.
    Ignore Object.GetClassName
    Added PersistentObject docstring
    Force sampling strategy dimension, fixes #718
    Fixed typo in Log
    ADD: Doc'ed some more matrices methods (down to CovarianceMatrix through inheritance).
    ENH: Ignored TypedInterface(Collection)Object::swap python binding.
    ENH: Ignored HermitianMatrix and SymetricMatrix::checkSymmetry python binding (implementation is such that it cannot be made not symmetric from python).
    ADD: Doc'ed NumericalPoint and NumericalSample
    ENH: Fixes/Cosmits in existing doctsrings.
    Fixed some more references
    Renamed decompositions in IdentityMatrix too
    Rename computeEigenValues in MatrixImplementation too
    Revert scale, translate. Cleared typemaps.
    Fixed some doctest
    Added total count
    FIX: doctests. Remaining failures are actual bugs referenced on trac (grep trac python/src/*_doc.i.in).
    Reindent pythoncode in OTexceptions.i
    Rewrote doctest test
    Fixed NS doctest
    FIX: Moved Beta docstrings in separate SWIG header file.
    ENH: Removed useless line returns at the end of some docstrings.
    Enable docstring test. distcheck ok.
    FIX: Sorted docstring tests for reproducibility (glob.glob output order seems like random).
        + PEP8 taliban! Trailing              spaces... :]
    PEP-8 conformity
    FIX: doctest:
        - echo a dummy "0 tests failed" when matplotlib is not available.
        - work in a temp dir for IO tests.
        - cosmits output
    ADD: FittingTest docstrings.
    ADD: doc'ed TestResult.
    Many docstring examples depend on matplotlib. distcheck ok.
    Docstring fixes.
    Added coupling_tools doctstring
    ENH: Doc'ed some more distributions.
    docstring test depends on rot too
    FIX: Mistakes in Multinomial docstring.
    ADD: Doc'ed UniVariatePolynomial.
    ADD: Started doc'ing orthogonal univariate polynomials.
    ADD: Doc'ed OrthogonalUniVariatePolynomialFamily subclasses.
    ADD: Doc'ed StandardDistributionPolynomialFactory.
    FIX: Comment in MeixnerFactory.cxx.
    ADD: Doc'ed missing methods of OrthogonalUniVariatePolynomialFactory. doctests ok.
    ADD: Doc'ed missing methods of Arcsine. doctests ok.
    FIX: Docstrings must be defined in the implementation class if any (for inheritance). doctests ok.
    FIX: Removed useless openturns prefix in 'See also' docstrings sections.
    FIX: Bug in DrawHenryLine.
    ENH: DrawHenryLine now works for any Normal sample/distribution.
    ENH: Added a DrawHenryLine prototype with given Normal distribution.
    FIX: stattests_module.i won't include Normal.hxx (ask J. :]).
    Make VisualTest_std actually test something. distcheck ok.
    set add_legend=True in viewer.
    ENH: Cosmits in DrawQQplot and DrawHenryLine graphs.
    FIX: Broken tests at r3836.
    ADD: Doc'ed DrawHenryLine and DrawQQplot.
    Updated Changelog. distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../mingw64 (3767:3831)
    Allow mingw64-x86_64 compilation. Work in progress.
    Removed inline keyword on exported symbols
    Explicit is better than implicit
    Removed useless BUILD_PYTHON specification
    Add OpenTURNSConfigVersion.cmake
    Fixed hardcoded python version
    Fixed non-default 64 bits python install detection (eg conda)
    Test against stripped dlls
    Disabled coupling_tools test for win32
    Updated Changelog
    Fix ubuntu trusty package. Update rpm package.
    Enable doctest.ELLIPSIS
    Simplified swig modules. distcheck ok.
    Fixed NumericalSample operator/. distcheck ok.
    Improved docstring readability in distribution. Fixed UnivariatePolynomial docstring. distcheck ok.
    Follow-up to #707, without boost.
    Fixed duplicate inlines in OStream.
    Fixed Multinomial test.
    Removed verbosity switch
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (3603:3870)
    Improved the presentation of the draw() method in the NumericalMathEvaluationImplementation class.
    Improved the volume computation in the Mesh class.
    Improved the spatial mean computation in the Field class.
    Removed some UnsignedLong in the code.
    Added a missing attribute (the mesh dimension) to the DynamicalFunction class and all the related class (TemporalFunction, SpatialFunction etc.)
    Fixed a confusion in the CauchyModel and ExponentialModel classes: the scale was indeed a rate.
    Added the ExponentiallyDampedCosineModel class.
    Added the asDeformedMesh() method to the Field class.
    Added a parallel implementation of the addition and soustraction operators in the NumericalSample class.
    Made some improvements to the CompositeProcess and TemporalNormalProcess classes.
    Removed deprecated call to the discretizeCovariance() method.
    Fixed a bug in the JacobiFactory when using the probabilistic parameterization instead of the analytic one.
    Added a generic implementation of the computePDFGradient() and computeCDFGradient() methods to the DistributionImplementation class.
    Added the asMesh() method to the Interval class.
    Added the MeshFactory and MeshFactoryImplementation classes.
    Fixed a bug in the CompositeProcess class when the mesh dimension is greater than one.
    Started the implementation of the CompositeDistribution class.
    Fixed a bug in the InverseTrendTransform and TrendTransform classes when the mesh dimension is greater than one.
    Added the CompositeDistribution class. More tests are needed.
    Added more internal tests to the CompositeProcess class.
    Fixed a bug in the CompositeDistribution class.
    Started to replace the SquareMatrix class by the TriangularMatrix class where needed. Ongoing work.
    Moved all the classes related to the EnumerateFunction class to the Base/Func folder.
    Fixed a bug in the CovarianceModelImplementation class when the diagonal elements are different from one.
    Parallelized the build() method of the NonStationaryCovarianceModelFactory class.
    Modified the implementation of the computeMean() method in the ProcessSample class in order to reuse parallelism in the NumericalSample class.
    Modified the indexing in the UserDefinedCovarianceModel class.
    Made the UserDefinedCovarianceModel and UserDefinedStationaryCovarianceModel classes work with meshes.
    Fixed a bug in the call to LAPACK in the TriangularMatrix class.
    Started the implementation of the SubSquareCopula class.
    Improved the robustness of the computeSkewnessPerComponent() and computeKurtosisPerComponent() methods of the NumericalSampleImplementation class.
    Improved the robustness of the LogNormalFactory class. It closes ticket #697.
    Changed the isTriangularLower() method into isLowerTriangular() in the TriangularMatrix and TriangularComplexMatrix classes.
    Added the triangularize() method to the MatrixImplementation class.
    Added constructors based on implementation to the SquareMatrix class.
    Added the checkTriangularity() and isDiagonal() methods to the TriangularMatrix class.
    Fixed a bug in the setParametersCollection() method of most of the distributions. The weight was always set to its default value 1.0.
    Added the setParametersCollection() method to the CompositeDistribution class.
    Started to use the TriangularMatrix class everywhere it could be used. Ongoing work.
    Removed the asMesh() method of the Interval class.
    Added the IntervalMesher class.
    Added the LevelSet class.
    Improved the comparison operator of the NumericalSampleImplementation class.
    Fixed a bug in the constructor of the ProcessSample class.
    Added a specialized discretize() method to the UserDefinedCovarianceModel class.
    Added the BuildDefault() method to the Description class. 
    Added new constructors to the TriangularMatrix class.
    Fixed a bug for upper triangular matrices.
    Made the KernelSmoothing class be a distribution factory.
    Fixed a bug in the isDiscrete() and isIntegral() methods of the Mixture class.
    Added a generic implementation of the computeProbability() method for discrete and general cases in addition to the continuous case in the DistributionImplementation class, based on Vincent Dubourg's patch.
    Improved the TemporalNormalProcess class with null or constant trend.
    Fixed a compatibility issue with old muparser in the LevelSet class.
    Restricted the drawMarginal() method of the ProcessSample class to 1D mesh.
    Removed specific implementation of the drawMarginal() method of the TimeSeries class as the method in the upper class is more powerful.
    Adapted the TrendFactory class to random fields.
    Removed all the fortran code from the library.
    Improved the VTK export of the Mesh class in order to support elements with dimension less than the vertices dimension.
    Improved the clean() method of the MatrixImplementation and ComplexMatrixImplementation classes.
    Improved the argument check in the LHS class. It fixes a bug mentioned on the user list.
    Fixed a missing range computation in the default constructor of the ClaytonCopula and Dirichlet classes.
    Fixed a bug in the load() method of the Mixture class.
    Added some methods to the SubSquareCopula class.
    Removed the draw() method of the Copula class.
    Added the computeTrace() method to the SquareMatrix class.
    Added the Wishart class.
    Started to implement the InverseWishart distribution.
    Fixed a bug in the Wishart distribution.
    Added the InverseWishart class.
    Added some logs to the CorrectedLeaveOneOut and KFold classes.
    Added the KDTree class.
    Improved the performance of the getNearestVertexIndex() method of the Mesh class.
    Improved the discretize() method of the UserDefinedCovarianceModel class.
    Implemented a parallel verison of the evaluation over a sample in the BoxCoxEvaluationImplementation and InverseBoxCoxEvaluationImplementation classes.
    Removed the description in the gradient and hessian related classes.
    Fixed a bug for nonzero shift in the InverseBoxCoxEvaluationImplementation class.
    Removed the deprecated computeCovariance() method in the covariance model related classes.
    Added the discretizeRow() and computeAsScalar() methods to the CovarianceModel class.
    Added the SphericalModel class.
    Implemented the Gibbs sampling algorithm in the TemporalNormalProcess class.
    Started the implementation of the k nearest neighbours search in the KDTree class.
    Added the two points evaluation operator to the NumericalMathFunction class and all the related classes (evaluation, gradient, hessian).
    Added the ParametricEvaluationImplementation, ParametricGradientImplementation and ParametricHessianImplementation classes. They enhance and replace the RestrictedEvaluationImplementation, RestrictedGradientImplementation and RestrictedHessianImplementation classes;
    Added the addition and soustraction operators to the NumericalMathFunction class.
    Replaced the abs() function by fabs() for floating point arguments.
    Changed the behaviour of the default constructor in the Interval class. Now, it produces a 0-d interval.
    Started the implementation of the OptimizationProblem, OptimizationProblemImplementation, OptimizationSolver and OptimizationSolverImplementation classes. Ongoing work.
    Changed the default behaviour of the FaureSequence class in order to match the behaviour of scilab.
    Added the solveLinearSystem() method to the ComplexMatrix class. Ongoing work.
    Adapted the MCMC class to the parametric functions. Ongoing work.
    Implemented the computeComplementaryCDF() and computeCharacteristicFunction() methods in the Weibull class. Ongoing work.
    Made the parallel evaluation of the PDF/CDF the default choice in the platform.
    Implemented the OptimizationProblem and OptimizationProblemImplementation classes.
    Implemented the OptimizationSolver and OptimizationSolverImplementation classes.
    Fixed a bug in the check() method of the Indices class when size=0.
    Updated the MCMC and RandomWalkMetropolisHastings classes to take into account parametric functions.
    Added the computeCharacteristicFunction() method to the Histogram and Weibull class.
    Improved the getP() accessor of the Multinomial class, with automatic renormalization.
    Added addition, substraction, multiplication and division operators for independent univariate distributions to the Distribution and DistributionImplementation classes. More tests needed.
    Added unary univariate transformation methods to the Distribution and DistributionImplementation classes. The following transformations are available: cos, sin, tan, acos, asin, atan, cosh, sinh, tanh, acosh, asinh, atanh, exp, log, ln, pow, inverse, sqr, sqrt, cbrt, abs.
    Added a generic efficient implementation of the computeCharacteristicFunction() method to the DistributionImplementation class. It may still be improved by introducing adaptivity.
    Fixed a bug in the computeCovarianceContinuous() method of the DistributionImplementation class.
    Added a generic implementation of the getMarginal() method of the DistributionImplementation class for trivial (but frequent) cases.
    Improved the generic implementation of the getCopula() method of the DistributionImplementation class.
    Improved the drawPDF() and drawCDF() methods of the DistributionImplementation class for discrete distributions.
    Improved the implementation of the getPositionIndicator() and getDispersionIndicator() methods of the DistributionImplementation class.
    Added accessors to the parallel_ flag in the DistributionImplementation class.
    MERGE: lebrun> svn merge -r3602:3850 https://.../trunk
    Added a constructor based on data only to the FunctionalChaosAlgorithm class.
    Improved the numerical stability of the BoxCoxEvaluationImplementation and InverseBoxCoxEvaluationImplementation classes.
    Improved the performance of the DatabaseNumericalMathEvaluationImplementation class.
    Added the missing std::expm1() to the SpecFunc class.
    Changed the order of the vertices in the IntervalMesher claa.
    Improved the Polygon class to use strips when calling R (major speedup).
    Improved the color bar in the drawMarginal() method of the FieldImplementation class.
    Allowed to export NaNs in the NumericalSampleImplementation class.
    Fixed a minus zero behaviour in the ComplexMatrixImplementation class.
    Added the clean() method to the NumericalPoint and Tensor classes.
    Made the CompositeDistribution sequential as the underlying solver is not thread-safe.
    Fixed a bug in the computeCharacteristicFunction() method of the Histogram class.
    Fixed a scaling trouble in the Gibbs sampler in the TemporalNormalProcess class.
    Added missing comparison operator to the NumericalMathFunction, NumericalMathFunctionImplementation, Distribution and DistributionImplementation classes.
    Added portable isNaN(), isInf() and isNormal() methods to the SpecFunc class.
    Fixed a minor bug in the MatrixImplementation and ComplexMatrixImplementation classes.
    Improved the automatic strategy in the FunctionalChaosAlgorithm class.
    Fixed a normalization trouble in the Gibbs sampler in the TemporalNormalProcess class.
    Added missing tests.
    Removed the k-nearest neighbours search in the KDTree class.
    Fixed a portability problem in the BoxCoxEvaluationImplementation class.
    Fixed a typo in the documentation of the NumericalMathFunctionImplementation class.
    Added a missing OT_API directive in several classes.
    Added the ConvertToRGB() and ConvertToRGBA() methods to the Drawable class.
    Added the ScanColorCode(), ConvertToRGB() and ConvertToRGBA() methods to the DrawableImplementation class.
    Reverted the Polygon class to its previous implementation.
    Added the Polygonarray class.
    Based the implementation of the drawMarginal() method of the FieldImplementation class on the PolygonArray class, leading to a huge speed improvement.
    Added a draw() method to the Field and FieldImplementation classes.
    Used memcpy in several places in the Matrix and Tensor related classes.
    Applied Denis Barbier's patch to disambiguate the call to many mathematical functions.
    Changed the behaviour of the viewer for the grid and the legend of clouds with 'none' point style.
    Added additional missing OT_API directives.
    Reverted partially the changes in the implementation of the clean() method in order to avoid spurious -0.0.
    Applied Denis Barbier's path to provide the k-nearest neighbours search facility to the KDTree class.
    Applied Denis Barbier's patch to fix issue in the output of python tests.
    Added a parallel getNearestVerticesIndices() method to the Mesh class.
    MERGE: lebrun> svn merge -r3850:3861 https://.../trunk
    MERGE: lebrun>svn merge -r3862:3860 https://.../lebrun
    Reverted to r3860 due to bad merge with trunk.
    MERGE: lebrun> svn merge -r3850:3863 https://.../trunk
    Added the getNearestVertexIndex() method for set of points to the Mesh class.
    Forced the Mesh class to always use KDTree.
    Applied Denis Barbier's patch to fix io troubles in python tests.
    Added missing accessors to the ProjectionStrategy and ProjectionStrategyImplementation classes.
    Added a flag to the PenalizedLeastSquaresAlgorithm and PenalizedLeastSquaresAlgorithmFactory classes to use the normal equation for a speed-up of more than 2 wrt the default QR equation. It should not be used in the general case (bad conditioning) but can safely be used in the context of chaos decomposition.
    Added missing constructors to the different matrix classes.
    Added the computeGram() method to the Matrix class.
    Modified the automatic parameterization of the FunctionalChaosAlgorithm built from databases. Now, it tests all the continuous univariate factories for the marginals and the k-fold cross-validation for the selection.
    Modified the exception type of some distribution factories in order to uniform the use of InvalidArgumentException.
    Added a flag to the KrigingAlgorithm class to decide if the data have to be normalized.
    Another attempt to fix output glitches.
    Attempt to fix Mesh & UserDefinedSpectralModel tests. distcheck ok.
    Attempt to fix second problem in Mesh. distcheck ok.
    Fixed some copyright dates.
    Create wrapper symlinks at config.
    Use ctest --output-on-failure
    Renamed some matrix tests. Added QR test.
    Renamed WeightedExperiment::generate(w) to WeightedExperiment::generateWithWeights(w)
    Modified WeightedExperiment classes to preserve description.
    Missing random generator initializations
    Fixed warning in IntervalMesher
    Removed class DescriptionImplementation.
    Removed DistributionImplementation::getGaussNodesAndWeights(void) for #712
    Updated changelog
    Removed deprecated methods SpectralModel::computeSpectralDensity, NumericalPoint::norm2|normalize2
    Fix use of deprecated method computeSpectralDensity
    Updated packages
    Cleanup old mingw-specific code
    Reindented all sources.
    Set version number 1.4rc1. distcheck ok.
    Fixed missing explicit keywords
    Update debian patch
    Fix unistd.h inclusion on fedora.
    Made KDNode non-polymorphic as non-virtual dtor
    Silenced some warnings.
    Fix KDTree test after previous commit
    Revert ctest output option
    Fixed some more warnings
    Fixed CompositeDistribution py3 test. distcheck ok.
    Updated debian package
    Revert use of output-on-failure
    Missing explicit keywords.
    Fixed typos in Trapezoidal errors
    Silence some warnings
    Applied ladier's patch for Student, Triangular, Trapezoidal docstrings
    Fixed some warnings
    Removed Restricted* classes
    Fixed warnings and a bug in Weibull.
    Removed Graph::getValidLegendPositions. distcheck ok.
    Applied Lerbun's patch for #722
    Applied Denis Barbier's patch to sort the k nearest neighbours in the KDTree class.
    Improved the automatic parameterization of the FunctionalChaosAlgorithm class.
    Fixed a bug in the OrthogonalDirection class: twice the number of directions were generated!
    Fixed a rounding issue that prevented the simplification mechanism to work in some cases in the MarginalTransformation/MarginalTransformationEvaluation class.
    Fixed a minor bug in the UniformFactory class.
    Reindented the code using indent.sh
    Fixed #700
    Updated changelog
    Fixed circular dependency between func and geom swig modules. distcheck ok
    MERGE: trunk> svn merge --reintegrate https://.../rc (3916:3963)
    Forgot parametric functions.
    Use parametric function definition in bayesian test. distcheck ok.
    Added the printLabels() method to the Study class, to help the exploration of huge study files.
    Implemented the evaluation operator over a sample in order to exploit possible parallelism in the basis function in the DualLinearCombinationEvaluationImplementation class.
    Implemented a parallel evaluation operator over a sample in the ProductPolynomialEvaluationImplementation class.
    Reverted lib/src/Base/Common/Os.cxx@3918
    Fixed some ambiguous pow call. Reworked some feature macros. distcheck ok.
    Fix for previous commit. distcheck ok.
    Parallelized the pointwise evaluation operator of the DualLinearCombinationEvaluationImplementation class.
    Parallelized the pointwise and samplewise evaluation operators of the LinearCombinationEvaluationImplementation class.
    Added in-place and out of place operators with scalars to the NumericalSample class.
    Fixed a bug in the call to ResourceMap in the FunctionalChaosAlgorithm class.
    Removed useless overloads in Description.i. Missing explicit in KDTree. distcheck ok.
    Fix py2.6 docstring test.
    Fixed x86 docstring test. distcheck ok.
    Added HAVE_GNUREGEX_H macro. distcheck ok.
    Enable TBB with MinGW. Fix PATH to R. distcheck ok
    Fixed warning in WrapperCommonFunctions.
    Renamed some tests. distcheck ok.
    Added an option to use the normal equation in the KFold class.
    Switched to the HyperbolicAnisotropicEnumerateFunction class in the automatic parameterization of the FunctionalChaosAlgorithm class.
    Changed the kind of exception thrown by the DistributionImplementationFactory class.
    Fixed bug in ResourceMap.cxx. some Distribution docstrings. distcheck ok.
    Fixed docstring test on python2. distcheck ok.
    Removed useless method ResourceMap::GetAsNewCharArray. distcheck ok.
    Fixed some docstring tags distcheck ok.
    Fixed typo in Beta. distcheck ok.
    Rename HermitianMatrix::power. distcheck ok.
    Fixed SquareComplexMatrix pow operator. distcheck ok.
    MSVC: include "SpecFunc.hxx" to define round() on MSVC
    Reapply r3638, it had been overridden by 3881.
    Try to prevent autobuilder deadlock.
    Fixed warning in Normal_std. distcheck ok.
    Reverted lib/test/CMakeLists.txt@3947. distcheck ok.
    Added the getNearestVertex() method to the Mesh class.
    Properly handle docstring file dependency.
    MingGW: removed useless LINKER_FLAGS
    Let cmake find extra cxx/fortran libs instead of hardcoding them.
    MinGW: disable TBB for now as parallel tests hang on autobuilder. distcheck ok.
    MinGW: fix external wrapper test
    Fix cmake error on empty docstring generation. distcheck ok.
    PY: ignore PersistentObject::is method, added InterfaceObject::getImplementation docstring. distcheck ok.
    Fixed a bug on MSVC, OT crashed unless OPENTURNS_CONFIG_PATH was defined
    Deprecated method NumericalSample::scale|translate. distcheck ok.
    Removed useless cmake policy set.
    Updated changelog
    Renamed the computeEVD() method into computeEV() in the Matrix class.
    Updated the NEWS file.
    Expand a little bit MSVC builds in NEWS; add a paragraph in README
    Reindented source. distcheck ok.


* [1.3] 2014-03-07  Julien Schueller <schueller(:AT:)phimeca(:DOT:)com>
      
    Improved the description of marginal distributions extracted from a ComposedDistribution. It fixes ticket #643.
    Added the Skellam class. It is the distribution of the difference between two independent Poisson distributions.
    Added the SkellamFactory class.
    Applied Barbier's patch to speed-up the creation of 1D elliptical distributions.
    Moved the RegularGrid class from Base/Stat into Base/Geom. Made it inherit from the Mesh class.
    Added the getVerticesNumber(), getSimplicesNumber() and getClosestVertexIndex() methods to the Mesh class.
    Added missing files in the two previous commits.
    Renamed the getClosestVertexIndex() method into getNearestVertexIndex() in the Mesh class.
    Added an efficient implementation of the getNearestVertexIndex() method to the RegularGrid class.
    Renamed the computeSpectralDensity() method into an evaluation operator for all the spectral models.
    Renamed the computeCovariance() method into an evaluation operator for all the covariance models.
    Changed the return type of the build() method of the CovarianceModelFactory class to avoid memory leak.
    Renamed the discretizeCovariance() method into discretize() for all the covariance models.
    Added the ability to evaluate a covariance model on points of any dimension.
    Added the ability to discretize a covariance model on any mesh.
    Removed the build() method based on TimeSeries in the NonStationaryCovarianceModelFactory class as it is not mathematically defined.
    Removed debugging traces.
    Fixed various bugs related to the propagation of coefficients into the EV3 embedded library.
    Changed the default initialization of the PiecewiseHermiteEvaluationImplementation class.
    Added the LogGamma() and Log1p() functions of complex argument to the SpecFunc class.
    Parallelized some methods of the Mesh class.
    Started the work on the Field class.
    Added the computeRawMomentPerComponent() method to the NumericalSample class.
    Improved the stability of the getRealization() method of the InverseNormal class.
    Added an analytic computation of the getStandardMoment() method of the InverseNormal class.
    Added the method of moments estimator for the InverseNormal class to the InverseNormalFactory class. The algorithm is selected using a key in the ResourceMap.
    Added the MeixnerD distribution (to prevent name conflict with the Meixner polynomials).
    Added the MeixnerDFactory class based on moments.
    Added the getStandardRepresentative() and the getStandardMoment() methods to the Histogram class.
    Changed the way the drawPDF() method of the Histogram class represents the underlying Drawable.
    Added a specific implementation of the getSkewness() and getKurtosis() methods of the GeneralizedPareto class.
    Fixed a minor precision trouble in a test.
    Changed the default parameters for the Combinations, KPermutations and Tuples classes.
    Added the DiLog() and Log1MExp() methods to the SpecFunc class.
    Added the setDefaultColors() method to the Graph class.
    Renamed the getErrorHistory() into drawErrorHistory() in the NearestPointAlgorithmImplementationResult class.
    Fixed a bug in the computation of the Kendall tau when one of the components is constant in the NumericalSample class.
    Added exceptions to many methods in the Matrix class.
    Added a new constructor to the SimulationSensitivityAnalysis class.
    Forced the saving of the description when exporting a NumericalSample to a csv file.
    Added the computeLinearCorrelation() method as an alias to the computePearsonCorrelation() method of the NumericalSample class.
    Added two in-place division operators to the NumericalSample class.
    Applied Dubourg's patch to the MarginalTransformationEvaluation class to perform simplifications in the Normal/LogNormal case.
    Added the getSpearmanCorrelation() and getKendallTau() methods to the AliMikhailHaqCopula, ClaytonCopula, ComposedCopula, FarlieGumbelMorgensternCopula, FrankCopula, GumbelCopula, IndependentCopula, MinCopula, NormalCopula, CopulaImplementation, Distribution, DistributionImplementation
    Added the computeSurvivalFunction() method to the ComposedDistribution, IndependentCopula, KernelMixture, MinCopula, Mixture, NormalCopula, ContinuousDistribution, CopulaImplementation, Distribution, EllipticalDistribution and DistributionImplementation classes.
    Implemented the getSupport() method of the KPermutationsDistribution class.
    Added the computeComplementaryCDF() method to the Laplace class.
    Renamed the MeixnerD and MeixnerDFactory classes into MeixnerDistribution and MeixnerDistributionFactory classes.
    Added the getShapeMatrix() method to the NormalCopula, Copula, Distribution and DistributionImplementation classes.
    Added the getLinearCorrelation() and getPearsonCorrelation() aliases to the getCorrelation() method in the Distribution and DistributionImplementation classes.
    Modified the rank() method of the NumericalSample class to take into account ties.
    Modified the sortAccordingToAComponent() method of the NumericalSample class to take into account the changes in the rank() method.
    Added the IntegrationAlgorithm to compute the integral of a function over an interval.
    Added the GaussKronrod class that allows the adaptive integration of 1D scalar functions.
    Fixed a minor accuracy issue in tests.
    Added a generic implementation of the transform() method of the FFTImplementation class for scalar arguments.
    Modified the GaussKronrod class in order to benefit from possible parallelism in the evaluations of the function.
    Added the __str__() method to the LinearNumericalMathEvaluationImplementation and LinearNumericalMathGradientImplementation classes.
    Modified the gradient() method of the MarginalTransformationGradient class and the hessian() method of the MarginalTransformationHessian class in order to benefit from possible analytical simplifications.
    Modified the getIsoProbabilistic() and getInverseIsoProbabilistic() methods of the ComposedDistribution class in order to detect the elliptical distribution and elliptical copula special cases.
    Made a minor improvement of the computeCDF() method of the InverseNormal class.
    Fixed a bug in the getParametersCollection() method of the KernelMixture class. It closes ticket #661.
    Switched to the GaussKronrod integration method in the DistributionImplementation class.
    Modified the drawPDF() and drawCDF() methods of the DistributionImplementation class to benefit from parallelism.
    Removed useless generic implementation of the computeConditionalCDF() method in the ContinuousDistribution class.
    Do not allow to instantiate static RandomGenerator class. distcheck ok.
    Updated README
    Fixed typo in ComposedNumericalMathFunction leading to a false warning. distcheck ok.
    Fixed Poisson test depending on rot.
    Added url to doc from start menu.
    Fixed R optional packages detection with cmake < 2.8.8. distcheck ok.
    Fixed TBB include path detection. distcheck ok.
    Deprecated wrappers framework data. distcheck ok.
    Use cmake toolchain file. distcheck ok.
    Pass some more env variables to ctest processes to handle external dependencies. distcheck ok.
    Fixed path separator wrt previous commit. distcheck ok.
    Fixed hardcoded thread lib.
    Fixed missing header.
    Workaround for cmake bug #0014358. distcheck ok.
    Missing GPL text.
    Added thread include dir. distcheck ok.
    Simplified linking. distcheck ok.
    Added header to include windows redefinitions.
    Missing file in previous commit
    Workaround for cmake bug #0013449. distcheck ok.
    Fixed mistake in previous commit.
    Require bison>=2.4 because of the %code directive introduced to support bison 2.7, moreover bison and flex are required for csv support. distcheck ok.
    Fixed #646
    Added test case for #646.
    Fixed #647
    Added test case for #647.
    Set mingw link flags globally. distcheck ok.
    Missing modification in previous commit. distcheck ok.
    Fixed python flags in previous commit.
    Useless undef in Log test. distcheck ok.
    Fixed map conversion. distcheck ok.
    Fixed version comparison in cmake macros. distcheck ok.
    Do not use scipy >= 0.9 methods rv_continuous.interval|mean|std. distcheck ok.
    Strip dlls correctly. distcheck ok.
    Fixed #648
    Allow to reuse figure/axes from matplotlib viewer. distcheck ok.
    Fixed warning at uninstall
    glibc 2.18 does not define __malloc_ptr_t anymore. distcheck ok.
    Fixed #652
    Fixed possible segfault in SensitivityAnalysis. distcheck ok.
    Reordered libraries. distcheck ok.
    Prevent from using a correlated prior as it would require standard space transformation in order to make component-wise walks. distcheck ok.
    Fixed module install for python-only modules.
    Added BUILD_SHARED_LIBS option. distcheck ok
    Fixed #657. distcheck ok.
    Reverted r3277 as prior is not evaluated marginal by marginal.
    Check that the MCMC initial state gives a positive likelihood. distcheck ok.
    Fixed calibration strategy initialization bug. distcheck ok.
    Improved numerical stability of InverseNormal cdf, eg when lambda/mu becomes > 354 ; ot.InverseNormal(355.,1.).computeCDF([1.]) -> nan. distcheck ok.
    Reverted r3288: conflicts lebrun r3290
    Removed cmake symlinks for mingw. Removed distcc instructions. distcheck ok.
    Use of CRT_fp8 depends on CMAKE_SIZEOF_VOID_P.
    Copy dlls before make check. distcheck ok.
    Fixed dll copy.
    Preserve history state in the marginal function.
    Added NumericalSample::_repr_html_
    Removed useless compiler check
    Added OpenMP compilation option for future improvements. distcheck ok.
    Created CRT_fp8 lib. distcheck ok.
    Fixed win32 R path configuration wrt spaces.
    Set version number 1.3dev
    Do not embbed lapack & muparser sources. distcheck ok.
    Speed up some tests wrt mingw.
    Switch to mingw64. distcheck ok.
    Fixed python detection. distcheck ok.
    Update CRT_fp8.c for mingw64 crt3
    Fixed compilation bug with mingw64
    Fixed warnings
    Removed empty files
    Updated changelog.
    Removed useless toolchain files.
    Fixed bug introduced in r3315. distcheck ok.
    Fixed muParser detection. distcheck ok.
    Link external muParser & LAPACK statically.
    Added more detailed versions of the integrad() method to the GaussKronrod and IntegrationAlgorithm classes.
    Added the GaussKronrodRule class.
    Added an optimization for regularly discretized locations to the PiecewiseHermiteEvaluationImplementation and PiecewiseLinearEvaluationImplementation classes. lib/srcAdded the streamToVTKFormat() method to the Mesh class.
    Added a new constructor to the Cloud, Curve and Polygon classes.
    Removed the call to the ResourceMap in many different places in order to increase the performance and to allow for parallelism.
    Improved the implementation of the FiledImplementation and Field classes.
    Added a new simplification rule to the MarginalTransformationEvaluation for the case where the input and output distributions are linked by an affine transformation.
    Fixed several missing calls to the computeRange() method in the different copula classes.
    Added the description of the sample as the description of the created distribution to all the distribution factories.
    Added the computeCharacteristicFunction() method to the Arcsine class.
    Improved the accuracy of the computeCDF() method of the Exponential class.
    Added a generic method to interpolate the PDF and CDF to the continuous 1D distributions to the DistributionImplementation class and used this facility into the Mixture and KernelMixture classes.
    Improved the getParametersCollection() method of the KernelMixture class.
    Improved the compactSupport() method of the UserDefined class.
    Added the interpolateCDF() method to the ContinuousDistribution class.
    Added the interpolatePDFCDF() method to the DistributionImplementation class.
    Added the computeSpearmanCorrelation() and computeKendallTau() methods to all the multivariate distributions.
    Added generic methods to compute the covariance and the shifted moments of the continuous and discrete distributions to the DistributionImplementation class.
    Propagated the use of potential parallel evaluations of the computeDDF(), computePDF() and computeCDF() methods in many places, which greatly improves the performance of many algorithms.
    Moved several classes from the Base/Stat folder into the Base/Common folder.
    Fixed the use of deprecated methods in several places.
    Reverted file moves of the previous commit in order to ease the release process.
    Improved the simplification rules in the MarginalTransformation/MarginalTransformationEvaluation class.
    Improved the computeCharacteristicFunction() function of the Arcsine distribution.
    Added the getParameters() and parametersGradient() methods to the AggregatedNumericalMathEvaluationImplementation class. It fixes ticket #664.
    Made the clone() method of the ApproximationAlgorithmImplementation class no more pure virtual.
    Added the save/load mechanism to the FittingAlgorithmImplementation class, which is no more an abstract class.
    Made the ComparisonOperatorImplementation class no more abstract.
    Fixed a bug in the use of unsigned int in the CenteredFiniteDifferenceHessian class.
    Made the FiniteDifferenceGradient and FiniteDifferenceGradient classes no more abstract.
    Made the FiniteDifferenceStepImplementation class no more abstract.
    Added the missing clone() method to the Basis class.
    Made the BasisSequenceFactoryImplementation class no more abstract.
    Improved the robustness of the LAR class.
    Added the save/load mechanism to the ODESolverImplementation class.
    Simplified the Field class.
    Added the getTimeGrid() method to the FieldImplementation class for 1D fields.
    Fixed a bug in the exportToCSVFile() method of the NumericalSampleImplementation class. It fixes ticket #669.
    Removed dead code in the NumericalSampleImplementation class.
    Made the computeKendallTau() method parallel wrt the dimension in the NumericalSampleImplementation class.
    Added the save/load mechanism to the EnumerateFunctionImplementation class.
    Added the save/load mechanism to the Simulation class.
    Added the missing clone() method to the InverseNatafEllipticalDistributionEvaluation, InverseNatafEllipticalDistributionGradient, InverseNatafEllipticalDistributionHessian, NatafEllipticalDistributionEvaluation, NatafEllipticalDistributionGradient, NatafEllipticalDistributionHessian classes.
    Allowed for non-continuous prior distributions in the MCMC class.
    Fixed a possible loss of accuracy and division by zero in the AliMikhailHaqCopulaFactory class.
    Fixed a bug due to an uninitialized attribute in the ComposedCopula class.
    Added a partially parallel implementation of the getSample() method of the ComposedDistribution class.
    Fixed a bug in the description of parameters in the getParametersCollection() method of the ComposedDistribution class.
    Added the hasEllipticalCopula(), isContinuous(), isDiscrete() and isIntegral() methods to the ComposedDistribution class.
    Improved the range computation in the FisherSnedecor class.
    Fixed a possible division by zero in the computeScalarQuantile() method of the FisherSnedecor class.
    Added the isDiscrete() method to the Mixture class.
    Added a partially parallel implementation of the getSample() method of the NormalCopula class.
    Fixed a bug in the use of signed/unsigned integers in the Skellam class.
    Fixed a bug in the getRealization() method in case of discrete underlying distribution in the TruncatedDistribution class.
    Added the isDiscrete() method to the TruncatedDistribution class. It fixes ticket #670.
    Improved the getSample() method of the Uniform class.
    Improved the setPairCollection() method of the UserDefined class.
    Made the computeQuantile() method over a grid of values parallel in the DistributionImplementation class.
    Fixed a bug in the getParametersNumber() method in the case of repeated parameters in the DistributionImplementation class.
    Added missing files.
    Fixed ticket #675.
    Added a new evaluation operator to the DynamicalFunction class.
    Propagated the use of the Field class into all the stochastic processes related classes.
    Improved the isRegular() method of the Mesh class.
    Added a constructor based on a Mesh to the RegularGrid class.
    Added many data accessors to the Field class.
    Improved the Field and FieldImplementation classes.
    Added the stack() method to the NumericalSample class.
    Added the inplace addition and soustraction of two NumericalSample with same size and dimension.
    Reworked completely the ProcesSample class.
    Removed the TimeSeriesImplementation class.
    Added the isBlank() method to the Description class.
    Added the getMeshDimension() method to the Process class, which implements now random fields.
    Fixed a bug in the add() method of the TimeSeries class when the object is initialy empty.
    Fixed a bug in the default trend in the TemporalNormalProcess class when the underlying mesh is of dimension greater than one.
    Added some verbosity to the TemporalNormalProcess class.
    Creation of a parser for text file. distcheck ok
    Replace call of wrapper by using analytical formula in tests. distcheck ok.
    Create the RandomGeneratorState class and allow to save and load a RandomGeneratorState. distcheck ok.
    Add accessors to the RandomGeneratorState class. distcheck ok.
    MERGE: svn merge -r3326:3333 https://.../trunk
    Allow the use of a sample as operator() method argument of the AnalyticalNumericalMathEvaluationImplementation class. distcheck ok.
    Correction of CMakeLists and SimulationSensitivityAnalysis_std test. distcheck ok.
    Change state_ attribute name by buffer_ in RandomGeneratorState class. distcheck ok.
    Add some comments in initialize method of AnalyticalNumericalMathEvaluationImplementation class. distcheck ok.
    Introducing KrigingAlgorithm. distcheck ok.
    Added some more basis factories.
    Added some covariance models.
    Added 2-d test.
    Added likelihood optimization. distcheck ok.
    Fixed Kriging tests. distcheck ok.
    Fixed multi-output evaluation.
    Added regularization parameter.
    Added QuadraticNumericalMathFunction.
    Missing file in previous commit
    Added covariance gradient.
    Missing files.
    Added KrigingGradietn class.
    Added python tests. distcheck ok.
    Added resourcemap keys for covariance models. distcheck ok.
    Fixed display bug in SymmetricMatrix & SymmetricTensor. distcheck ok.
    Reverted r3360.
    QuadraticNumericalMathEvaluationImplementation::__str__, LinearNumericalMathGradientImplementation::__str__: we should not mix __str__ and __repr__ calls.
    Allowe more digits in Kriging test. distcheck ok.
    Added KrigingAlgorithm::getOptimizer.
    Tweak regularization parameter. distcheck ok.
    Error in previous commit. distcheck ok.
    Use iterative regularization.
    Fixed bug in iterative regularization.
    Dont use decimal logarithm.
    Round first eval.
    Use matrix evaluation
    Fixed covariance model gradient.
    Enabled kriging gradient.
    Fixed Kriging tests not passing with squeeze version of lapack through the use of assert tests functions. distcheck ok.
    Added TriangularMatrix
    Use TriangularMatrix where needed.
    Optimize log likelihood.
    Added missing fortran string size arguments. distcheck ok.
    Fixed Kriging test for MinGW. distcheck ok.
    Added conversion test for TriangularMatrix
    MERGE: trunk> svn merge --reintegrate https://.../schueller (3328:3393)
    Do not use deprecated LOCATION property. distcheck ok.
    Removed OPENTURNS_INSTALL_PATH to always honor CMAKE_INSTALL_PREFIX. distcheck ok
    Applied patch for #677. distcheck ok.
    Propagate UINT64 macro into modules. distcheck ok.
    BoxCoxFactory test should not draw
    Some test depend on bc.
    Fixed #674: python nmf dont force cache
    Reverted r3255
    Reverted r3256
    Fixed a problem in DistFunc. Fixed some warnings. distcheck ok.
    Reindent code
    Let cmake use default 644 permissions on non-executable files.
    Set version number 1.3rc1
    Fixed #672
    Typo in previous commit
    Updated changelog
    Limited python output precision.
    Fixed Typo
    Update packages.
    Fixed lapack md5sum.
    Reverted r3358.
    Removed debug trace in win32 script.
    Reverted changes in swig interface at r3332 causing build failures on rhel.
    Fixed unowned dir in rpm package.
    Temporarily disable muparser2 features. distcheck ok.
    bump soname to 0.4
    Fixed unused var warning.
    Fixed typo
    Reverted 3424-3426
    MERGE: trunk> svn merge --reintegrate https://.../rc (3421:3444)
    Fixed a minor bug in the LogNormalFactory class. Thanks Sofiane for reporting the bug.
    Fixed the reference output of the test of the LogNormalFactory class.
    Implemented the scaling procedure suggested by Sofiane in the TruncatedNormalFactory class. It closes ticket #645.
    Re-enable bulk mode.
    Applied Barbier's patch for #506.
    Applied 3424-3426
    Fixed typo
    updated changelog
    Fixed typo in deb package
    Fixed an error in previous commit regarding bulk mode.
    Minor optim in NMEI: do not copy empty NPs.
    Use deb version 1.3~rc1-1 instead of 1.2.99~1.3rc1-1. distcheck ok.
    Fixed missing dependencies dlls
    Fixed type error in Analytical derivates.
    Disable bulk mode. distcheck ok.
    Added new high order integration rules to the GaussKronrodRule class.
    Modified the HyperbolicAnisotropicEnumerateFunction class to allow parameters greater than 1.
    Removed the specific implementation of the computeScalarQuantile() method from the NonCentralStudent class.
    Missing bugfix entry in changelog.
    openturns-module: reinstall module; show error log on failure
    Fixed a minor bug in the GaussKronrodRule class.
    Fixed conflict in conf files. distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../rc (3449:3484)
    Removed deprecated method Distribution::computeCDF(x, tail). distcheck ok.
    Fixed warnings
    Re-enable bulk mode. distcheck ok.
    Revert r3451. distcheck ok.
    Fixed #681: add binary operators for NumericalSample:  + - (translation) and * / (scaling)
    Updated KrigingAlgorithm. Now supports covariance models with parameters number greater or equal to 1.
    Applied J. Schueller's patch to not use log-parameters, this will be needed by some models.
    Minor changes in previous commit
    Updated rpm package: no rhel lapack-devel, enabled tests, no suse python-base, no mdk, no gs, O0 x86 cflags.
    openturns-module: do not delete tempdir on failure.
    coupling_tools: applied #640 patch
    Commented GaussKronrod unused validation graph in test. distcheck ok.
    Do not set name of NumericalSample when created by binary operators +-*/.
    Added tests for NumericalSample operators. distcheck ok.
    Removed the embedded CDFLIB library for licensing incompatibility.
    Switched to the Faddeeva package (MIT license) for the implementation of the faddeeva, dawso and erf-related special functions.
    Added the implementation of the incomplete beta and incomplete gamma functions and related variants.
    Made a minor improvement in the KrigingAlgorithm for the case of 1D output functions.
    Added a new integration-based implementation of the pNonCentralStudent() method of the DistFunc class. Not yet activated.
    Improved the stability of the Gamma class for large shape parameter.
    Fixed a packaging trouble with the Faddeeva package.
    Added a bound on the iterations of some algorithms related to the incomplete beta and gamma functions.
    Added a bound on the iterations of some algorithms in the SpecFunc and DistFunc classes.
    Fixed return value of DistFunc::pBeta
    Fixed a typo in the DistFunc class.
    Fixed t_DistFunc_beta failure on Linux x86.
    This problem is caused by extended precision on Linux x86.
    The following block is executed within a loop:
      const NumericalScalar betaMiddle(RegularizedIncompleteBeta(a, b, middle, tail));
      if ((betaMiddle < x) == (betaLower < x))
        {
          lower = middle;
          betaLower = betaMiddle;
        }
      else
        {
          upper = middle;
          betaUpper = betaMiddle;
        }
    On x86, betaMiddle was written into a floating-point register, thus condition
    (betaMiddle < x) was computed with extended precision.  When the first branch
    is executed, betaMiddle is stored in a variable.  At the next iteration, it
    may happen that (betaLower < x) has a different value than (betaMiddle < x)
    had here, because standard precision applies then; and algorithm goes havoc.
    A solution is to declare betaMiddle volatile, to make sure it is stored in a
    variable.  Another solution, chosen here, is to store and reuse this condition
    to avoid this inconsistency.
    Fixed a numerical precision issue in a test.
    Set the same precision as in the C++ test so that this test does not fail on x86.
    Removed duplicate poutre_arguments script
    Updated changelog.
    Rebased debian package.
    MinGW: add zlib, parallel checks by default
    Set version number 1.3rc2. distcheck ok.
    Fixed wrapper test.
    NEWS for rc2
    Mentioned kriging & fields. distcheck ok.
    Added the message from the author of KolmogorovSmirnovDist.c that allows OpenTURNS to use his work to the COPYING.KolmogorovSmirnovDist file.
    Added keys to the ResourceMap to manage the precision of algorithms and the number of iterations.
    Propagated Denis Barbier's correction of the BetaFunctions to the GammaFunctions.
    Removed the file wrappers/AnalyticalFunctionCompiler/COPYING
    Updated Changelog
    Rename SpecFunc-MaximumIterations resource name into SpecFunc-MaximumIteration to be consistent with other *-MaximumIteration names.
    Also rename SpecFunc::MaximumIterations member into SpecFunc::MaximumIteration.
    Remove lib/COPYING.MuParser and lib/COPYING.lapack, those dependencies are now external.
    No cmakelists in utils.
    Removed deprecated module site-loading code. distcheck ok
    Fixed muparser & lapack ref in cmakelists.
    Fixed sys import
    Fixed another missing import
    MERGE: trunk> svn merge --reintegrate https://.../rc (3489:3586)
    Removed methods which were deprecated in 1.2. distcheck ok.
    updated changelog
    Improved the accuracy of the pStudent() and qStudent() methods of the DistFunc class.
    Remove unused local variables, spotted by cppcheck.
    Use END_NAMESPACE_OPENTURNS instead of right brace.
    Revert r3378; currently compilation of code using OT may fail if OPENTURNS_UNSIGNEDLONG_SAME_AS_UINT64 is not defined whereas it is needed.
    Make sure that all source files using macros from OTconfig.hxx do include this file.
    The following commands are used to detect missing #include lines; size_t and malloc
    macros have not been taken into account.
      for d in $(grep '#\(cmake\)\?define' lib/include/OTconfig.h.in |\
                  sed -e 's,^#cmakedefine ,,' -e 's,#define  *\([^ (]*\)[ (].*,\1,'); \
      do \
        for f in $(grep -rlw $d lib/src lib/include ); \
        do \
          grep -q OTconfig.h $f ${f%cxx}hxx ${f%cxx}h 2>/dev/null || echo $d $f; \
        done; \
      done
    Fix build failure with Intel compiler on Linux
    .../lib/src/Base/Stat/dsfmt.cxx(59): error: expression must have a constant value
        r ^= a ^ lshift_byte<dsfmt<M>::A>(a);
                            ^
              detected during:
                instantiation of "void tutils::detail::<unnamed>::twist<M>(tutils::uint64v2_t &, tutils::uint64v2_t &, const tutils::uint64v2_t &, const tutils::uint64v2_t &) [with M=607]" at line 194
                instantiation of "void tutils::detail::dsfmt<MEXP>::gen_rand_all() [with MEXP=607]" at line 59 of ".../lib/src/Base/Stat/dsfmt.h"
    Add #include "OTconfig.hxx" to 3 files which had been forgotten in r3494.
    Fix OTconfig.hxx to always include OTconfig.h.  distcheck ok.
    Do not install these header files, they are used only to compile OT
    Improve encapsulation of libxml2.
    Developers can now use OT header files without having to
    specify location of libxml2 header files.
    Make other minor changes so that header files are self-contained:
      $ make install
      $ cd <install-prefix>/include/openturns
      $ for f in *.h*; do g++ -c -I. $f -o /dev/null 2>/dev/null || echo $f; done
    The only problematic header files are Python* and XMLToolbox.hxx,
    the latter needs libxml2 header files.  But XMLToolbox.hxx is no more
    included by other header files, thus only people who write code to deal
    with XML files have to detect libxml2 header files and set -I flag
    accordingly.
    Fix usage of macros in installed header files.
    When compiling with CMake programs linking against OpenTURNS,
    one has to simply write:
      find_package(OpenTURNS REQUIRED)
      include(${OPENTURNS_USE_FILE})
    in CMakeLists.txt, and CMake will automatically set compiler
    flags.
    This caused problems when compiling without CMake, because
    some macros may not be defined as they should.
    In r3493 and r3497, we ensured that all macros are set
    in OTconfig.h, and that header files using those macros do
    include OTconfig.h.  But there is still one problem, those
    macros have generic names and are very likely to be redefined,
    which may cause lots of compiler warnings.
    This commit avoids this situation by:
    * adding an OPENTURNS_ prefix to macros used in header files
    * defining only the minimum required macros in OTconfig.h
    There are now two OTconfig.h files, first one is used when
    building, and the new one is installed and used when
    compiling against OpenTURNS.  The latter contains only
    macros which are required by those header files:
      OPENTURNS_HAVE_LIBXML2
      OPENTURNS_HAVE_MALLOC_H
      OPENTURNS_HAVE_PTHREAD_H
      OPENTURNS_HAVE_TBB
      OPENTURNS_UNSIGNEDLONG_SAME_AS_UINT64
      PACKAGE_NAME
      PACKAGE_VERSION
    The last two macros should probably be renamed too.
    Added the poissinv package from Mike Giles to compute Poisson quantiles. Not yet activated as the validation process has not yet been done.
    Made a minor cleanup of BetaFunctions and GammaFunctions.
    Implemented a parallel version of the evaluation operator based on a sample in the KrigingEvaluation class.
    Fixed a bug in the initial guess of the quantile in the Poisson class.
    Changed the values returned by qNormal() in the DistFunc class in order to insure the continuity of the quantile function at 0 and 1.
    Added the drawQuantile() method to the DistributionImplementation class for the 1D and 2D cases.
    Removed the CUDA dependence in poissinv.h from Mike Giles, which is now the default implementation for the qPoisson() method of the DistFunc class. It is both more accurate and more efficient than the previous implementation, which is now implemented as the qPoissonAlt() method.
    Fixed Pairs labels. R bullet=>dot marker.
    Fixed #686: allow default constructor of SklarCopula, ~SklarCopula(Uniform()).
    Fixed #685
    updated changelog
    Added test for changes at r3504
    Removed useless cast. distcheck ok.
    Fixed #687
    Updated changelog
    doxygen: new mainpage title. removed Func & Wrapper modules. distcheck ok
    Separated the Student related functions from the main DistFunc body.
    Added a new implementation of the computeCDF() method dedicated to the case of large degree of freedom in the StudentFunctions set of functions. 
    Used the last version of the poissinv dependency.
    Added the isCopula() method to all the distributions. It is now possible to define a copula using the PythonDistribution class.
    Fixed bug in Pairs. Various MingGW enhancements. distcheck ok.
    Fixed missing include.
    Fixed #688: problem in exp & abs diff. distcheck ok.
    Fixed circular fonctions nans. distcheck ok.
    Removed TestCompositionLeft wrapper.
    Fixed a bug in ev3.
    Removed TestCompositionRight. distcheck ok.
    Fixed analytical functions test. distcheck ok.
    Fixed other bugs in the analytical expressions.
    Fixed coeff not kept during division/product simplifications. Cleanup. distcheck ok.
    Fixed another issue in the simplification pass. distcheck ok.
    Added missing parameters constructors for kriging correlation functions. distcheck ok.
    Started the C++ reimplementation of Algo. 708 for the incomplete beta function.
    Added the IGamma1pm1() and LogGamma1p() methods to the SpecFunc class.
    Added new special cases and a Cornish Fisher expansion based method to the StudentFunctions set of functions.
    Fixed a serialization bug in AnalyticalResult.
    Removed useless casts.
    Proper use of explicit keyword. Fixes a bug in NumericalSampleImplementation.
    Forgot some explicit keywords.
    Removed useless Thread classes.
    Removed the now useless IncompleteBetaP and IncompleteBetaQ functions in BetaFunctions.
    Implemented in C++ the SLATEC algorithm for the RegularizedIncompleteBeta method, still not active.
    Added the boost implementation of the RegularizedIncompleteBeta function, used by default if boost is available.
    Added the boost implementation of the RegularizedIncompleteBetaInverse function, used by default if boost is available.
    Added the boost implementation of the RegularizedIncompleteGamma function, used by default if boost is available.
    Added the boost implementation of the RegularizedIncompleteGammaInverse function, used by default if boost is available.
    Added the C++ implementation of the RegularizedIncompleteGamma function as proposed by Temme et al, used if boost is not available.
    Fixed a bug in the RegularizedIncompleteGammaInverse function when the bracketing fails.
    Improved the accuracy of the LnBeta() method of the SpecFunc class.
    Added the GammaCorrection() method to the SpecFunc class.
    Improved the computeCDF() method of all the distributions with bounded or half-bounded support.
    Removed deprecated methods in the DistFunc class.
    Fixed a minor bug in the NonCentralChiSquare class.
    Improved the knowledge-based simplification algorithm in the RandomMixture class.
    Added the boost implementation of the StudentCDF function, used by default if boost is available.
    Added the boost implementation of the StudentQuantile function, used by default if boost is available.
    Improved the StudentRealization function.
    Added the boost implementation of the NonCentralStudentCDF function, used by default if boost is available.
    Added the boost implementation of the NonCentralStudentQuantile function, used by default if boost is available.
    Improved the NonCentralStudentRealization function.
    Fixed several bugs in ev3.
    Fixed several bugs in the computation of the RegularizedIncompleteGamma function.
    Do not compile ev3's tree.cxx. No need to link boost headers only libraries.
    Deprecated norm2->normSquare because of norm1, normalize2->normalizeSquare for consistency.
    Fixed a bug in the new simplification rule in the RandomMixture class.
    Added the missing drawQuantile() methods to the Distribution class.
    Mentioned NP::norm* in API changes
    Removed empty MeixnerD test. Updated maintenance scripts.
    Changed the default constructor of the Mesh class. Now, the default is to contains a unique vertex.
    Fixed a bug in the RegularGrid class.
    Changed the output of the getFuture() method from Field to TimeSeries as it is defined only in this context.
    Changed the output of the build() method of the ARMA factories in order to fix memory leak.
    Added the getFuture() method to the CompositeProcess class.
    Changed the Field argument of the constructors of the DickeyFullerTest class to a TimeSeries type.
    Factorized several methods of the Mesh and Interval classes into the Domain class.
    Added the missing implementation of the drawMarginal() method to the FieldImplementation class.
    Added the missing implementation of the getContinuousRealization() method to some process-related classes.
    Fixed a bug in the FunctionalBasisProcess class to allow for a multivariate dimension construction.
    Updated authors list
    Fixed empty kissfft license.
    Removed unused test files.
    Removed debug trace
    Removed duplicate AUTHORS and COPYING files.
    Removed unused README/NEWS/Changelog/TODO files.
    Fixed a handful of automatic differentiation bugs in ev3.
    Update copyright date. distcheck ok.
    Fixed return of FieldImplementation::drawMarginal.
    Enable boost temporarily. distcheck ok.
    Reverted previous commit.
    Cleaned debug output.
    Set exe flag on some python tests
    Fixed ev3 bug in simplifyrecursive.
    Use boost>=1.48 by default. distcheck ok.
    Set version number 1.3rc3
    Fixed ev3 build. distcheck ok.
    Fixed several bugs in the invincgam() function of the C++ translation of the incomplete gamma package of Gil, Segura and Temme.
    Removed obsolete functions in GammaFunctions.
    Removed debug trace in GammaFunctions.
    Fixed an invalid access in incgam.
    Fixed leaks in ev3.
    Removed deprecated method OpenTURNSPythonFunction.f distcheck ok
    Changed the default constructor of the Cloud, Curve and Polygon class.
    Added a parallel implementation of the operator() method of the KrigingEvaluation class.
    Modified the drawProbabilityConvergence() method of the Simulation class. Now, the resulting graph contains 3 drawables even if no confidence bound has been computed. It closes ticket #691.
    Set some Analytical methods virtual to enhance API.
    Removed useless wrappers TestStrongMaximumTestDimensionX. distcheck ok.
    Fixed a minor bug in the NonCentralChiSquare class.
    Improved the performance of the KrigingAlgorithm class for the multivariate output case.
    Added the KrigingResult class. Ongoing work.
    Made default KrigingAlgorithm constructor public. distcheck ok.
    Updated README.
    Allow to compile without muParser.
    Boost from 1.46 is fine too. distcheck ok.
    Do not use analytical classes in Restricted test.
    Fixed initialization in incgam
    Missing explicit keywords.
    Set version number 1.3. distcheck ok.
    Removed license text from CMakeLists as they're usually very short. distcheck ok.
    Fixed discrepancies between ResourceMap & openturns.conf.
    Fixed more missing explicit.
    Reindented source code. distcheck ok.
    Try to get the full traceback when rethrowing the python exception. distcheck ok.
    Simplify previous code.
    Print the inner traceback to stderr.
    Renamed conflicting header presence macros. distcheck ok.
    Removed duplicated malloc_h detection macro.
    Made the quantile function continuous for the Gamma and Student distributions in the DistFunc class.
    Updated NEWS & README.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (3225:3296)
    Improved the description of marginal distributions extracted from a ComposedDistribution. It fixes ticket #643.
    Added the Skellam class. It is the distribution of the difference between two independent Poisson distributions.
    Added the SkellamFactory class.
    Applied Barbier's patch to speed-up the creation of 1D elliptical distributions.
    Moved the RegularGrid class from Base/Stat into Base/Geom. Made it inherit from the Mesh class.
    Added the getVerticesNumber(), getSimplicesNumber() and getClosestVertexIndex() methods to the Mesh class.
    Added missing files in the two previous commits.
    Renamed the getClosestVertexIndex() method into getNearestVertexIndex() in the Mesh class.
    Added an efficient implementation of the getNearestVertexIndex() method to the RegularGrid class.
    Renamed the computeSpectralDensity() method into an evaluation operator for all the spectral models.
    Renamed the computeCovariance() method into an evaluation operator for all the covariance models.
    Changed the return type of the build() method of the CovarianceModelFactory class to avoid memory leak.
    Renamed the discretizeCovariance() method into discretize() for all the covariance models.
    Added the ability to evaluate a covariance model on points of any dimension.
    Added the ability to discretize a covariance model on any mesh.
    Removed the build() method based on TimeSeries in the NonStationaryCovarianceModelFactory class as it is not mathematically defined.
    Removed debugging traces.
    Fixed various bugs related to the propagation of coefficients into the EV3 embedded library.
    Changed the default initialization of the PiecewiseHermiteEvaluationImplementation class.
    Added the LogGamma() and Log1p() functions of complex argument to the SpecFunc class.
    Parallelized some methods of the Mesh class.
    Started the work on the Field class.
    Added the computeRawMomentPerComponent() method to the NumericalSample class.
    Improved the stability of the getRealization() method of the InverseNormal class.
    Added an analytic computation of the getStandardMoment() method of the InverseNormal class.
    Added the method of moments estimator for the InverseNormal class to the InverseNormalFactory class. The algorithm is selected using a key in the ResourceMap.
    Added the MeixnerD distribution (to prevent name conflict with the Meixner polynomials).
    Added the MeixnerDFactory class based on moments.
    Added the getStandardRepresentative() and the getStandardMoment() methods to the Histogram class.
    Changed the way the drawPDF() method of the Histogram class represents the underlying Drawable.
    Added a specific implementation of the getSkewness() and getKurtosis() methods of the GeneralizedPareto class.
    Fixed a minor precision trouble in a test.
    Changed the default parameters for the Combinations, KPermutations and Tuples classes.
    Added the DiLog() and Log1MExp() methods to the SpecFunc class.
    Added the setDefaultColors() method to the Graph class.
    Renamed the getErrorHistory() into drawErrorHistory() in the NearestPointAlgorithmImplementationResult class.
    Fixed a bug in the computation of the Kendall tau when one of the components is constant in the NumericalSample class.
    Added exceptions to many methods in the Matrix class.
    Added a new constructor to the SimulationSensitivityAnalysis class.
    Forced the saving of the description when exporting a NumericalSample to a csv file.
    Added the computeLinearCorrelation() method as an alias to the computePearsonCorrelation() method of the NumericalSample class.
    Added two in-place division operators to the NumericalSample class.
    Applied Dubourg's patch to the MarginalTransformationEvaluation class to perform simplifications in the Normal/LogNormal case.
    Added the getSpearmanCorrelation() and getKendallTau() methods to the AliMikhailHaqCopula, ClaytonCopula, ComposedCopula, FarlieGumbelMorgensternCopula, FrankCopula, GumbelCopula, IndependentCopula, MinCopula, NormalCopula, CopulaImplementation, Distribution, DistributionImplementation
    Added the computeSurvivalFunction() method to the ComposedDistribution, IndependentCopula, KernelMixture, MinCopula, Mixture, NormalCopula, ContinuousDistribution, CopulaImplementation, Distribution, EllipticalDistribution and DistributionImplementation classes.
    Implemented the getSupport() method of the KPermutationsDistribution class.
    Added the computeComplementaryCDF() method to the Laplace class.
    Renamed the MeixnerD and MeixnerDFactory classes into MeixnerDistribution and MeixnerDistributionFactory classes.
    Added the getShapeMatrix() method to the NormalCopula, Copula, Distribution and DistributionImplementation classes.
    Added the getLinearCorrelation() and getPearsonCorrelation() aliases to the getCorrelation() method in the Distribution and DistributionImplementation classes.
    Modified the rank() method of the NumericalSample class to take into account ties.
    Modified the sortAccordingToAComponent() method of the NumericalSample class to take into account the changes in the rank() method.
    Added the IntegrationAlgorithm to compute the integral of a function over an interval.
    Added the GaussKronrod class that allows the adaptive integration of 1D scalar functions.
    Fixed a minor accuracy issue in tests.
    Added a generic implementation of the transform() method of the FFTImplementation class for scalar arguments.
    Modified the GaussKronrod class in order to benefit from possible parallelism in the evaluations of the function.
    Added the __str__() method to the LinearNumericalMathEvaluationImplementation and LinearNumericalMathGradientImplementation classes.
    Modified the gradient() method of the MarginalTransformationGradient class and the hessian() method of the MarginalTransformationHessian class in order to benefit from possible analytical simplifications.
    Modified the getIsoProbabilistic() and getInverseIsoProbabilistic() methods of the ComposedDistribution class in order to detect the elliptical distribution and elliptical copula special cases.
    Made a minor improvement of the computeCDF() method of the InverseNormal class.
    Fixed a bug in the getParametersCollection() method of the KernelMixture class. It closes ticket #661.
    Switched to the GaussKronrod integration method in the DistributionImplementation class.
    Modified the drawPDF() and drawCDF() methods of the DistributionImplementation class to benefit from parallelism.
    Removed useless generic implementation of the computeConditionalCDF() method in the ContinuousDistribution class.
    MERGE: trunk> svn merge --reintegrate https://.../phimeca (3226:3304)
    Do not allow to instantiate static RandomGenerator class. distcheck ok.
    Updated README
    Fixed typo in ComposedNumericalMathFunction leading to a false warning. distcheck ok.
    Fixed Poisson test depending on rot.
    Added url to doc from start menu.
    Fixed R optional packages detection with cmake < 2.8.8. distcheck ok.
    Fixed TBB include path detection. distcheck ok.
    Deprecated wrappers framework data. distcheck ok.
    Use cmake toolchain file. distcheck ok.
    Pass some more env variables to ctest processes to handle external dependencies. distcheck ok.
    Fixed path separator wrt previous commit. distcheck ok.
    Fixed hardcoded thread lib.
    Fixed missing header.
    Workaround for cmake bug #0014358. distcheck ok.
    Missing GPL text.
    Added thread include dir. distcheck ok.
    Simplified linking. distcheck ok.
    Added header to include windows redefinitions.
    Missing file in previous commit
    Workaround for cmake bug #0013449. distcheck ok.
    Fixed mistake in previous commit.
    Require bison>=2.4 because of the %code directive introduced to support bison 2.7, moreover bison and flex are required for csv support. distcheck ok.
    Fixed #646
    Added test case for #646.
    Fixed #647
    Added test case for #647.
    Set mingw link flags globally. distcheck ok.
    Missing modification in previous commit. distcheck ok.
    Fixed python flags in previous commit.
    Useless undef in Log test. distcheck ok.
    Fixed map conversion. distcheck ok.
    Fixed version comparison in cmake macros. distcheck ok.
    Do not use scipy >= 0.9 methods rv_continuous.interval|mean|std. distcheck ok.
    Strip dlls correctly. distcheck ok.
    Fixed #648
    Allow to reuse figure/axes from matplotlib viewer. distcheck ok.
    Fixed warning at uninstall
    glibc 2.18 does not define __malloc_ptr_t anymore. distcheck ok.
    Fixed #652
    Fixed possible segfault in SensitivityAnalysis. distcheck ok.
    Reordered libraries. distcheck ok.
    Prevent from using a correlated prior as it would require standard space transformation in order to make component-wise walks. distcheck ok.
    Fixed module install for python-only modules.
    Added BUILD_SHARED_LIBS option. distcheck ok
    Fixed #657. distcheck ok.
    Reverted r3277 as prior is not evaluated marginal by marginal.
    Check that the MCMC initial state gives a positive likelihood. distcheck ok.
    Fixed calibration strategy initialization bug. distcheck ok.
    Improved numerical stability of InverseNormal cdf, eg when lambda/mu becomes > 354 ; ot.InverseNormal(355.,1.).computeCDF([1.]) -> nan. distcheck ok.
    Reverted r3288: conflicts lebrun r3290
    Removed cmake symlinks for mingw. Removed distcc instructions. distcheck ok.
    Use of CRT_fp8 depends on CMAKE_SIZEOF_VOID_P.
    Copy dlls before make check. distcheck ok.
    Fixed dll copy.
    Preserve history state in the marginal function.
    Added NumericalSample::_repr_html_
    Removed useless compiler check
    Added OpenMP compilation option for future improvements. distcheck ok.
    Created CRT_fp8 lib. distcheck ok.
    Fixed win32 R path configuration wrt spaces.
    Set version number 1.3dev
    Do not embbed lapack & muparser sources. distcheck ok.
    Speed up some tests wrt mingw.
    Switch to mingw64. distcheck ok.
    Fixed python detection. distcheck ok.
    Update CRT_fp8.c for mingw64 crt3
    Fixed compilation bug with mingw64
    Fixed warnings
    Removed empty files
    Updated changelog.
    Removed useless toolchain files.
    Fixed bug introduced in r3315. distcheck ok.
    Fixed muParser detection. distcheck ok.
    Link external muParser & LAPACK statically.
    MERGE: trunk> svn merge --reintegrate https://.../lebrun (3323:3395)
    MERGE: lebrun> svn merge -r3322:3325 https://.../trunk
    Added more detailed versions of the integrad() method to the GaussKronrod and IntegrationAlgorithm classes.
    Added the GaussKronrodRule class.
    Added an optimization for regularly discretized locations to the PiecewiseHermiteEvaluationImplementation and PiecewiseLinearEvaluationImplementation classes. lib/srcAdded the streamToVTKFormat() method to the Mesh class.
    Added a new constructor to the Cloud, Curve and Polygon classes.
    Removed the call to the ResourceMap in many different places in order to increase the performance and to allow for parallelism.
    Improved the implementation of the FiledImplementation and Field classes.
    Added a new simplification rule to the MarginalTransformationEvaluation for the case where the input and output distributions are linked by an affine transformation.
    Fixed several missing calls to the computeRange() method in the different copula classes.
    Added the description of the sample as the description of the created distribution to all the distribution factories.
    Added the computeCharacteristicFunction() method to the Arcsine class.
    Improved the accuracy of the computeCDF() method of the Exponential class.
    Added a generic method to interpolate the PDF and CDF to the continuous 1D distributions to the DistributionImplementation class and used this facility into the Mixture and KernelMixture classes.
    Improved the getParametersCollection() method of the KernelMixture class.
    Improved the compactSupport() method of the UserDefined class.
    Added the interpolateCDF() method to the ContinuousDistribution class.
    Added the interpolatePDFCDF() method to the DistributionImplementation class.
    Added the computeSpearmanCorrelation() and computeKendallTau() methods to all the multivariate distributions.
    Added generic methods to compute the covariance and the shifted moments of the continuous and discrete distributions to the DistributionImplementation class.
    Propagated the use of potential parallel evaluations of the computeDDF(), computePDF() and computeCDF() methods in many places, which greatly improves the performance of many algorithms.
    Moved several classes from the Base/Stat folder into the Base/Common folder.
    Fixed the use of deprecated methods in several places.
    Reverted file moves of the previous commit in order to ease the release process.
    Improved the simplification rules in the MarginalTransformation/MarginalTransformationEvaluation class.
    Improved the computeCharacteristicFunction() function of the Arcsine distribution.
    Added the getParameters() and parametersGradient() methods to the AggregatedNumericalMathEvaluationImplementation class. It fixes ticket #664.
    Made the clone() method of the ApproximationAlgorithmImplementation class no more pure virtual.
    Added the save/load mechanism to the FittingAlgorithmImplementation class, which is no more an abstract class.
    Made the ComparisonOperatorImplementation class no more abstract.
    Fixed a bug in the use of unsigned int in the CenteredFiniteDifferenceHessian class.
    Made the FiniteDifferenceGradient and FiniteDifferenceGradient classes no more abstract.
    Made the FiniteDifferenceStepImplementation class no more abstract.
    Added the missing clone() method to the Basis class.
    Made the BasisSequenceFactoryImplementation class no more abstract.
    Improved the robustness of the LAR class.
    Added the save/load mechanism to the ODESolverImplementation class.
    Simplified the Field class.
    Added the getTimeGrid() method to the FieldImplementation class for 1D fields.
    Fixed a bug in the exportToCSVFile() method of the NumericalSampleImplementation class. It fixes ticket #669.
    Removed dead code in the NumericalSampleImplementation class.
    Made the computeKendallTau() method parallel wrt the dimension in the NumericalSampleImplementation class.
    Added the save/load mechanism to the EnumerateFunctionImplementation class.
    Added the save/load mechanism to the Simulation class.
    Added the missing clone() method to the InverseNatafEllipticalDistributionEvaluation, InverseNatafEllipticalDistributionGradient, InverseNatafEllipticalDistributionHessian, NatafEllipticalDistributionEvaluation, NatafEllipticalDistributionGradient, NatafEllipticalDistributionHessian classes.
    Allowed for non-continuous prior distributions in the MCMC class.
    Fixed a possible loss of accuracy and division by zero in the AliMikhailHaqCopulaFactory class.
    Fixed a bug due to an uninitialized attribute in the ComposedCopula class.
    Added a partially parallel implementation of the getSample() method of the ComposedDistribution class.
    Fixed a bug in the description of parameters in the getParametersCollection() method of the ComposedDistribution class.
    Added the hasEllipticalCopula(), isContinuous(), isDiscrete() and isIntegral() methods to the ComposedDistribution class.
    Improved the range computation in the FisherSnedecor class.
    Fixed a possible division by zero in the computeScalarQuantile() method of the FisherSnedecor class.
    Added the isDiscrete() method to the Mixture class.
    Added a partially parallel implementation of the getSample() method of the NormalCopula class.
    Fixed a bug in the use of signed/unsigned integers in the Skellam class.
    Fixed a bug in the getRealization() method in case of discrete underlying distribution in the TruncatedDistribution class.
    Added the isDiscrete() method to the TruncatedDistribution class. It fixes ticket #670.
    Improved the getSample() method of the Uniform class.
    Improved the setPairCollection() method of the UserDefined class.
    Made the computeQuantile() method over a grid of values parallel in the DistributionImplementation class.
    Fixed a bug in the getParametersNumber() method in the case of repeated parameters in the DistributionImplementation class.
    Added missing files.
    Fixed ticket #675.
    Added a new evaluation operator to the DynamicalFunction class.
    Propagated the use of the Field class into all the stochastic processes related classes.
    Improved the isRegular() method of the Mesh class.
    Added a constructor based on a Mesh to the RegularGrid class.
    Added many data accessors to the Field class.
    Improved the Field and FieldImplementation classes.
    Added the stack() method to the NumericalSample class.
    Added the inplace addition and soustraction of two NumericalSample with same size and dimension.
    Reworked completely the ProcesSample class.
    Removed the TimeSeriesImplementation class.
    Added the isBlank() method to the Description class.
    Added the getMeshDimension() method to the Process class, which implements now random fields.
    Fixed a bug in the add() method of the TimeSeries class when the object is initialy empty.
    Fixed a bug in the default trend in the TemporalNormalProcess class when the underlying mesh is of dimension greater than one.
    Added some verbosity to the TemporalNormalProcess class.
    MERGE: trunk> svn merge --reintegrate https://.../ladier (3325:3386)
    MERGE: svn merge -c3325 https://.../trunk
    Creation of a parser for text file. distcheck ok
    Replace call of wrapper by using analytical formula in tests. distcheck ok.
    Create the RandomGeneratorState class and allow to save and load a RandomGeneratorState. distcheck ok.
    Add accessors to the RandomGeneratorState class. distcheck ok.
    MERGE: svn merge -r3326:3333 https://.../trunk
    Allow the use of a sample as operator() method argument of the AnalyticalNumericalMathEvaluationImplementation class. distcheck ok.
    Correction of CMakeLists and SimulationSensitivityAnalysis_std test. distcheck ok.
    Change state_ attribute name by buffer_ in RandomGeneratorState class. distcheck ok.
    Add some comments in initialize method of AnalyticalNumericalMathEvaluationImplementation class. distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../kriging (3330:3389)
    Introducing KrigingAlgorithm. distcheck ok.
    Added some more basis factories.
    Added some covariance models.
    Added 2-d test.
    Added likelihood optimization. distcheck ok.
    Fixed Kriging tests. distcheck ok.
    Fixed multi-output evaluation.
    Added regularization parameter.
    Added QuadraticNumericalMathFunction.
    Missing file in previous commit
    Added covariance gradient.
    Missing files.
    Added KrigingGradietn class.
    Added python tests. distcheck ok.
    Added resourcemap keys for covariance models. distcheck ok.
    Fixed display bug in SymmetricMatrix & SymmetricTensor. distcheck ok.
    Reverted r3360.
    QuadraticNumericalMathEvaluationImplementation::__str__, LinearNumericalMathGradientImplementation::__str__: we should not mix __str__ and __repr__ calls.
    Allowe more digits in Kriging test. distcheck ok.
    Added KrigingAlgorithm::getOptimizer.
    Tweak regularization parameter. distcheck ok.
    Error in previous commit. distcheck ok.
    Use iterative regularization.
    Fixed bug in iterative regularization.
    Dont use decimal logarithm.
    Round first eval.
    Use matrix evaluation
    Fixed covariance model gradient.
    Enabled kriging gradient.
    Fixed Kriging tests not passing with squeeze version of lapack through the use of assert tests functions. distcheck ok.
    Added TriangularMatrix
    Use TriangularMatrix where needed.
    Optimize log likelihood.
    Added missing fortran string size arguments. distcheck ok.
    Fixed Kriging test for MinGW. distcheck ok.
    Added conversion test for TriangularMatrix
    MERGE: trunk> svn merge --reintegrate https://.../schueller (3328:3393)
    Do not use deprecated LOCATION property. distcheck ok.
    Removed OPENTURNS_INSTALL_PATH to always honor CMAKE_INSTALL_PREFIX. distcheck ok
    Applied patch for #677. distcheck ok.
    Propagate UINT64 macro into modules. distcheck ok.
    BoxCoxFactory test should not draw
    Some test depend on bc.
    Fixed #674: python nmf dont force cache
    Reverted r3255
    Reverted r3256
    Fixed a problem in DistFunc. Fixed some warnings. distcheck ok.
    Reindent code
    Let cmake use default 644 permissions on non-executable files.
    Set version number 1.3rc1
    Fixed #672
    Typo in previous commit
    Updated changelog
    Limited python output precision.
    Fixed Typo
    Update packages.
    Fixed lapack md5sum.
    Reverted r3358.
    Removed debug trace in win32 script.
    Reverted changes in swig interface at r3332 causing build failures on rhel.
    Fixed unowned dir in rpm package.
    Temporarily disable muparser2 features. distcheck ok.
    bump soname to 0.4
    Fixed unused var warning.
    Fixed typo
    Reverted 3424-3426
    MERGE: trunk> svn merge --reintegrate https://.../rc (3421:3444)
    Fixed a minor bug in the LogNormalFactory class. Thanks Sofiane for reporting the bug.
    Fixed the reference output of the test of the LogNormalFactory class.
    Implemented the scaling procedure suggested by Sofiane in the TruncatedNormalFactory class. It closes ticket #645.
    Re-enable bulk mode.
    Applied Barbier's patch for #506.
    Applied 3424-3426
    Fixed typo
    updated changelog
    Fixed typo in deb package
    Fixed an error in previous commit regarding bulk mode.
    Minor optim in NMEI: do not copy empty NPs.
    Use deb version 1.3~rc1-1 instead of 1.2.99~1.3rc1-1. distcheck ok.
    Fixed missing dependencies dlls
    Fixed type error in Analytical derivates.
    Disable bulk mode. distcheck ok.
    Added new high order integration rules to the GaussKronrodRule class.
    Modified the HyperbolicAnisotropicEnumerateFunction class to allow parameters greater than 1.
    Removed the specific implementation of the computeScalarQuantile() method from the NonCentralStudent class.
    Missing bugfix entry in changelog.
    openturns-module: reinstall module; show error log on failure
    Fixed a minor bug in the GaussKronrodRule class.
    Fixed conflict in conf files. distcheck ok.
    MERGE: trunk> svn merge --reintegrate https://.../rc (3449:3484)
    Removed deprecated method Distribution::computeCDF(x, tail). distcheck ok.
    Fixed warnings
    Re-enable bulk mode. distcheck ok.
    Revert r3451. distcheck ok.
    Fixed #681: add binary operators for NumericalSample:  + - (translation) and * / (scaling)
    Updated KrigingAlgorithm. Now supports covariance models with parameters number greater or equal to 1.
    Applied J. Schueller's patch to not use log-parameters, this will be needed by some models.
    Minor changes in previous commit
    Updated rpm package: no rhel lapack-devel, enabled tests, no suse python-base, no mdk, no gs, O0 x86 cflags.
    openturns-module: do not delete tempdir on failure.
    coupling_tools: applied #640 patch
    Commented GaussKronrod unused validation graph in test. distcheck ok.
    Do not set name of NumericalSample when created by binary operators +-*/.
    Added tests for NumericalSample operators. distcheck ok.
    Removed the embedded CDFLIB library for licensing incompatibility.
    Switched to the Faddeeva package (MIT license) for the implementation of the faddeeva, dawso and erf-related special functions.
    Added the implementation of the incomplete beta and incomplete gamma functions and related variants.
    Made a minor improvement in the KrigingAlgorithm for the case of 1D output functions.
    Added a new integration-based implementation of the pNonCentralStudent() method of the DistFunc class. Not yet activated.
    Improved the stability of the Gamma class for large shape parameter.
    Fixed a packaging trouble with the Faddeeva package.
    Added a bound on the iterations of some algorithms related to the incomplete beta and gamma functions.
    Added a bound on the iterations of some algorithms in the SpecFunc and DistFunc classes.
    Fixed return value of DistFunc::pBeta
    Fixed a typo in the DistFunc class.
    Fixed t_DistFunc_beta failure on Linux x86.
    This problem is caused by extended precision on Linux x86.
    The following block is executed within a loop:
      const NumericalScalar betaMiddle(RegularizedIncompleteBeta(a, b, middle, tail));
      if ((betaMiddle < x) == (betaLower < x))
        {
          lower = middle;
          betaLower = betaMiddle;
        }
      else
        {
          upper = middle;
          betaUpper = betaMiddle;
        }
    On x86, betaMiddle was written into a floating-point register, thus condition
    (betaMiddle < x) was computed with extended precision.  When the first branch
    is executed, betaMiddle is stored in a variable.  At the next iteration, it
    may happen that (betaLower < x) has a different value than (betaMiddle < x)
    had here, because standard precision applies then; and algorithm goes havoc.
    A solution is to declare betaMiddle volatile, to make sure it is stored in a
    variable.  Another solution, chosen here, is to store and reuse this condition
    to avoid this inconsistency.
    Fixed a numerical precision issue in a test.
    Set the same precision as in the C++ test so that this test does not fail on x86.
    Removed duplicate poutre_arguments script
    Updated changelog.
    Rebased debian package.
    MinGW: add zlib, parallel checks by default
    Set version number 1.3rc2. distcheck ok.
    Fixed wrapper test.
    NEWS for rc2
    Mentioned kriging & fields. distcheck ok.
    Added the message from the author of KolmogorovSmirnovDist.c that allows OpenTURNS to use his work to the COPYING.KolmogorovSmirnovDist file.
    Added keys to the ResourceMap to manage the precision of algorithms and the number of iterations.
    Propagated Denis Barbier's correction of the BetaFunctions to the GammaFunctions.
    Removed the file wrappers/AnalyticalFunctionCompiler/COPYING
    Updated Changelog
    Rename SpecFunc-MaximumIterations resource name into SpecFunc-MaximumIteration to be consistent with other *-MaximumIteration names.
    Also rename SpecFunc::MaximumIterations member into SpecFunc::MaximumIteration.
    Remove lib/COPYING.MuParser and lib/COPYING.lapack, those dependencies are now external.
    No cmakelists in utils.
    Removed deprecated module site-loading code. distcheck ok
    Fixed muparser & lapack ref in cmakelists.
    Fixed sys import
    Fixed another missing import
    MERGE: trunk> svn merge --reintegrate https://.../rc (3489:3586)
    Removed methods which were deprecated in 1.2. distcheck ok.
    updated changelog
    Improved the accuracy of the pStudent() and qStudent() methods of the DistFunc class.
    Remove unused local variables, spotted by cppcheck.
    Use END_NAMESPACE_OPENTURNS instead of right brace.
    Revert r3378; currently compilation of code using OT may fail if OPENTURNS_UNSIGNEDLONG_SAME_AS_UINT64 is not defined whereas it is needed.
    Make sure that all source files using macros from OTconfig.hxx do include this file.
    The following commands are used to detect missing #include lines; size_t and malloc
    macros have not been taken into account.
      for d in $(grep '#\(cmake\)\?define' lib/include/OTconfig.h.in |\
                  sed -e 's,^#cmakedefine ,,' -e 's,#define  *\([^ (]*\)[ (].*,\1,'); \
      do \
        for f in $(grep -rlw $d lib/src lib/include ); \
        do \
          grep -q OTconfig.h $f ${f%cxx}hxx ${f%cxx}h 2>/dev/null || echo $d $f; \
        done; \
      done
    Fix build failure with Intel compiler on Linux
    .../lib/src/Base/Stat/dsfmt.cxx(59): error: expression must have a constant value
        r ^= a ^ lshift_byte<dsfmt<M>::A>(a);
                            ^
              detected during:
                instantiation of "void tutils::detail::<unnamed>::twist<M>(tutils::uint64v2_t &, tutils::uint64v2_t &, const tutils::uint64v2_t &, const tutils::uint64v2_t &) [with M=607]" at line 194
                instantiation of "void tutils::detail::dsfmt<MEXP>::gen_rand_all() [with MEXP=607]" at line 59 of ".../lib/src/Base/Stat/dsfmt.h"
    Add #include "OTconfig.hxx" to 3 files which had been forgotten in r3494.
    Fix OTconfig.hxx to always include OTconfig.h.  distcheck ok.
    Do not install these header files, they are used only to compile OT
    Improve encapsulation of libxml2.
    Developers can now use OT header files without having to
    specify location of libxml2 header files.
    Make other minor changes so that header files are self-contained:
      $ make install
      $ cd <install-prefix>/include/openturns
      $ for f in *.h*; do g++ -c -I. $f -o /dev/null 2>/dev/null || echo $f; done
    The only problematic header files are Python* and XMLToolbox.hxx,
    the latter needs libxml2 header files.  But XMLToolbox.hxx is no more
    included by other header files, thus only people who write code to deal
    with XML files have to detect libxml2 header files and set -I flag
    accordingly.
    Fix usage of macros in installed header files.
    When compiling with CMake programs linking against OpenTURNS,
    one has to simply write:
      find_package(OpenTURNS REQUIRED)
      include(${OPENTURNS_USE_FILE})
    in CMakeLists.txt, and CMake will automatically set compiler
    flags.
    This caused problems when compiling without CMake, because
    some macros may not be defined as they should.
    In r3493 and r3497, we ensured that all macros are set
    in OTconfig.h, and that header files using those macros do
    include OTconfig.h.  But there is still one problem, those
    macros have generic names and are very likely to be redefined,
    which may cause lots of compiler warnings.
    This commit avoids this situation by:
    * adding an OPENTURNS_ prefix to macros used in header files
    * defining only the minimum required macros in OTconfig.h
    There are now two OTconfig.h files, first one is used when
    building, and the new one is installed and used when
    compiling against OpenTURNS.  The latter contains only
    macros which are required by those header files:
      OPENTURNS_HAVE_LIBXML2
      OPENTURNS_HAVE_MALLOC_H
      OPENTURNS_HAVE_PTHREAD_H
      OPENTURNS_HAVE_TBB
      OPENTURNS_UNSIGNEDLONG_SAME_AS_UINT64
      PACKAGE_NAME
      PACKAGE_VERSION
    The last two macros should probably be renamed too.
    Added the poissinv package from Mike Giles to compute Poisson quantiles. Not yet activated as the validation process has not yet been done.
    Made a minor cleanup of BetaFunctions and GammaFunctions.
    Implemented a parallel version of the evaluation operator based on a sample in the KrigingEvaluation class.
    Fixed a bug in the initial guess of the quantile in the Poisson class.
    Changed the values returned by qNormal() in the DistFunc class in order to insure the continuity of the quantile function at 0 and 1.
    Added the drawQuantile() method to the DistributionImplementation class for the 1D and 2D cases.
    Removed the CUDA dependence in poissinv.h from Mike Giles, which is now the default implementation for the qPoisson() method of the DistFunc class. It is both more accurate and more efficient than the previous implementation, which is now implemented as the qPoissonAlt() method.
    Fixed Pairs labels. R bullet=>dot marker.
    Fixed #686: allow default constructor of SklarCopula, ~SklarCopula(Uniform()).
    Fixed #685
    updated changelog
    Added test for changes at r3504
    Removed useless cast. distcheck ok.
    Fixed #687
    Updated changelog
    doxygen: new mainpage title. removed Func & Wrapper modules. distcheck ok
    Separated the Student related functions from the main DistFunc body.
    Added a new implementation of the computeCDF() method dedicated to the case of large degree of freedom in the StudentFunctions set of functions. 
    Used the last version of the poissinv dependency.
    Added the isCopula() method to all the distributions. It is now possible to define a copula using the PythonDistribution class.
    Fixed bug in Pairs. Various MingGW enhancements. distcheck ok.
    Fixed missing include.
    Fixed #688: problem in exp & abs diff. distcheck ok.
    Fixed circular fonctions nans. distcheck ok.
    Removed TestCompositionLeft wrapper.
    Fixed a bug in ev3.
    Removed TestCompositionRight. distcheck ok.
    Fixed analytical functions test. distcheck ok.
    Fixed other bugs in the analytical expressions.
    Fixed coeff not kept during division/product simplifications. Cleanup. distcheck ok.
    Fixed another issue in the simplification pass. distcheck ok.
    Added missing parameters constructors for kriging correlation functions. distcheck ok.
    Started the C++ reimplementation of Algo. 708 for the incomplete beta function.
    Added the IGamma1pm1() and LogGamma1p() methods to the SpecFunc class.
    Added new special cases and a Cornish Fisher expansion based method to the StudentFunctions set of functions.
    Fixed a serialization bug in AnalyticalResult.
    Removed useless casts.
    Proper use of explicit keyword. Fixes a bug in NumericalSampleImplementation.
    Forgot some explicit keywords.
    Removed useless Thread classes.
    Removed the now useless IncompleteBetaP and IncompleteBetaQ functions in BetaFunctions.
    Implemented in C++ the SLATEC algorithm for the RegularizedIncompleteBeta method, still not active.
    Added the boost implementation of the RegularizedIncompleteBeta function, used by default if boost is available.
    Added the boost implementation of the RegularizedIncompleteBetaInverse function, used by default if boost is available.
    Added the boost implementation of the RegularizedIncompleteGamma function, used by default if boost is available.
    Added the boost implementation of the RegularizedIncompleteGammaInverse function, used by default if boost is available.
    Added the C++ implementation of the RegularizedIncompleteGamma function as proposed by Temme et al, used if boost is not available.
    Fixed a bug in the RegularizedIncompleteGammaInverse function when the bracketing fails.
    Improved the accuracy of the LnBeta() method of the SpecFunc class.
    Added the GammaCorrection() method to the SpecFunc class.
    Improved the computeCDF() method of all the distributions with bounded or half-bounded support.
    Removed deprecated methods in the DistFunc class.
    Fixed a minor bug in the NonCentralChiSquare class.
    Improved the knowledge-based simplification algorithm in the RandomMixture class.
    Added the boost implementation of the StudentCDF function, used by default if boost is available.
    Added the boost implementation of the StudentQuantile function, used by default if boost is available.
    Improved the StudentRealization function.
    Added the boost implementation of the NonCentralStudentCDF function, used by default if boost is available.
    Added the boost implementation of the NonCentralStudentQuantile function, used by default if boost is available.
    Improved the NonCentralStudentRealization function.
    Fixed several bugs in ev3.
    Fixed several bugs in the computation of the RegularizedIncompleteGamma function.
    Do not compile ev3's tree.cxx. No need to link boost headers only libraries.
    Deprecated norm2->normSquare because of norm1, normalize2->normalizeSquare for consistency.
    Fixed a bug in the new simplification rule in the RandomMixture class.
    Added the missing drawQuantile() methods to the Distribution class.
    Mentioned NP::norm* in API changes
    Removed empty MeixnerD test. Updated maintenance scripts.
    Changed the default constructor of the Mesh class. Now, the default is to contains a unique vertex.
    Fixed a bug in the RegularGrid class.
    Changed the output of the getFuture() method from Field to TimeSeries as it is defined only in this context.
    Changed the output of the build() method of the ARMA factories in order to fix memory leak.
    Added the getFuture() method to the CompositeProcess class.
    Changed the Field argument of the constructors of the DickeyFullerTest class to a TimeSeries type.
    Factorized several methods of the Mesh and Interval classes into the Domain class.
    Added the missing implementation of the drawMarginal() method to the FieldImplementation class.
    Added the missing implementation of the getContinuousRealization() method to some process-related classes.
    Fixed a bug in the FunctionalBasisProcess class to allow for a multivariate dimension construction.
    Updated authors list
    Fixed empty kissfft license.
    Removed unused test files.
    Removed debug trace
    Removed duplicate AUTHORS and COPYING files.
    Removed unused README/NEWS/Changelog/TODO files.
    Fixed a handful of automatic differentiation bugs in ev3.
    Update copyright date. distcheck ok.
    Fixed return of FieldImplementation::drawMarginal.
    Enable boost temporarily. distcheck ok.
    Reverted previous commit.
    Cleaned debug output.
    Set exe flag on some python tests
    Fixed ev3 bug in simplifyrecursive.
    Use boost>=1.48 by default. distcheck ok.
    Set version number 1.3rc3
    Fixed ev3 build. distcheck ok.
    Fixed several bugs in the invincgam() function of the C++ translation of the incomplete gamma package of Gil, Segura and Temme.
    Removed obsolete functions in GammaFunctions.
    Removed debug trace in GammaFunctions.
    Fixed an invalid access in incgam.
    Fixed leaks in ev3.
    Removed deprecated method OpenTURNSPythonFunction.f distcheck ok
    Changed the default constructor of the Cloud, Curve and Polygon class.
    Added a parallel implementation of the operator() method of the KrigingEvaluation class.
    Modified the drawProbabilityConvergence() method of the Simulation class. Now, the resulting graph contains 3 drawables even if no confidence bound has been computed. It closes ticket #691.
    Set some Analytical methods virtual to enhance API.
    Removed useless wrappers TestStrongMaximumTestDimensionX. distcheck ok.
    Fixed a minor bug in the NonCentralChiSquare class.
    Improved the performance of the KrigingAlgorithm class for the multivariate output case.
    Added the KrigingResult class. Ongoing work.
    Made default KrigingAlgorithm constructor public. distcheck ok.
    Updated README.
    Allow to compile without muParser.
    Boost from 1.46 is fine too. distcheck ok.
    Do not use analytical classes in Restricted test.
    Fixed initialization in incgam
    Missing explicit keywords.
    Set version number 1.3. distcheck ok.
    Removed license text from CMakeLists as they're usually very short. distcheck ok.
    Fixed discrepancies between ResourceMap & openturns.conf.
    Fixed more missing explicit.
    Reindented source code. distcheck ok.
    Try to get the full traceback when rethrowing the python exception. distcheck ok.
    Simplify previous code.
    Print the inner traceback to stderr.
    Renamed conflicting header presence macros. distcheck ok.
    Removed duplicated malloc_h detection macro.
    Made the quantile function continuous for the Gamma and Student distributions in the DistFunc class.
    Updated NEWS & README.
